# -*- Mode: rpm-spec -*-
# 	$Id: kernel-2.4.spec,v 1.1 2001/09/25 08:55:44 chmou Exp chmou $

%define sublevel 18
%define realrelease 8.2mdk
# never touch the folowing two fields
%define rpmversion 1
%define rpmrelease 3mdk
%define realversion 2.4.%{sublevel}
%define mdkversion %{realversion}.%{realrelease}

%define KVERREL %{realversion}-%{realrelease}

%define pcmcia_ver 3.1.29
%define alsa_ver 0.5.12a
%define ipsec_ver 1.95
%define jfs_ver 1.0.18

%define build_up 1
%define build_smp 1
%define build_secure 0
%define build_enterprise 1
%define build_BOOT 0
# this is for the embebed folks
%define build_elan 0

%define build_kheaders 0
%define build_kgcc 0
%define build_gcc296 1
%define build_gcc30 0
%define build_gcc31 0
%define build_kdb 0
%define build_acpi 0
%define build_doc 1
%define build_source 1
%define build_pcmcia 0

%define build_80 1
%define build_81 0
%define build_82 0
# if we don't tell anything, we build for the last version
%define build_83 0

%ifarch alpha
%define build_enterprise 0
%endif

%ifarch %{ix86}
%define build_secure 1
%define build_BOOT 1
%endif

# End of user definitions
%{?_without_up: %{expand: %%define build_up 0}}
%{?_without_smp: %{expand: %%define build_smp 0}}
%{?_without_secure: %{expand: %%define build_secure 0}}
%{?_without_enterprise: %{expand: %%define build_enterprise 0}}
%{?_without_BOOT: %{expand: %%define build_BOOT 0}}
%{?_without_elan: %{expand: %%define build_elan 0}}
%{?_without_kgcc: %{expand: %%define build_kgcc 0}}
%{?_without_gcc296: %{expand: %%define build_gcc296 0}}
%{?_without_gcc30: %{expand: %%define build_gcc30 0}}
%{?_without_gcc31: %{expand: %%define build_gcc31 0}}
%{?_without_kdb: %{expand: %%define build_kdb 0}}
%{?_without_doc: %{expand: %%define build_doc 0}}
%{?_without_source: %{expand: %%define build_source 0}}

%{?_with_up: %{expand: %%define build_up 1}}
%{?_with_smp: %{expand: %%define build_smp 1}}
%{?_with_secure: %{expand: %%define build_secure 1}}
%{?_with_enterprise: %{expand: %%define build_enterprise 1}}
%{?_with_BOOT: %{expand: %%define build_BOOT 1}}
%{?_with_elan: %{expand: %%define build_elan 1}}
%{?_with_kgcc: %{expand: %%define build_kgcc 1}}
%{?_with_gcc296: %{expand: %%define build_gcc296 1}}
%{?_with_gcc30: %{expand: %%define build_gcc30 1}}
%{?_with_gcc31: %{expand: %%define build_gcc31 1}}
%{?_with_kdb: %{expand: %%define build_kdb 1}}
%{?_with_acpi: %{expand: %%define build_acpi 1}}
%{?_with_doc: %{expand: %%define build_doc 1}}
%{?_with_source: %{expand: %%define build_source 1}}

%{?_with_kheaders: %{expand: %%define build_kheaders 1}}
%{?_with_80: %{expand: %%define build_80 1}}
%{?_with_81: %{expand: %%define build_81 1}}
%{?_with_82: %{expand: %%define build_82 1}}

%if %build_80
%ifarch %{ix86} ppc
%define build_pcmcia 1
%endif
%define build_81 0
%define build_82 0
%define build_83 0
%define build_distro "8.0"
%endif

%if %build_81
%ifarch %{ix86} ppc
%define build_pcmcia 1
%endif
%define build_80 0
%define build_82 0
%define build_83 0
%define build_distro "8.1"
%endif

%if %build_82
%define build_80 0
%define build_81 0
%define build_83 0
%define build_distro "8.2"
%endif

%if %build_83
%define build_distro "8.3"
%endif


# This language don't like too much nested elses & ifs
# Notice that gcc-2.96 needs to be last as it is defined by default.

%if %{build_kgcc}
%define KCC /usr/bin/kgcc
%define build_gcc296 0
%define build_gcc30 0
%define build_gcc31 0
%endif

%if %{build_gcc30}
%define KCC /usr/bin/gcc-%(gcc3-version)
%define build_kgcc 0
%define build_gcc296 0
%define build_gcc31 0
%endif

%if %{build_gcc31}
%define KCC /usr/bin/gcc-%(gcc31-version)
%define build_kgcc 0
%define build_gcc296 0
%define build_gcc30 0
%endif

%if %{build_gcc296}
%define KCC /usr/bin/gcc
%define build_kgcc 0
%define build_gcc30 0
%define build_gcc31 0
%endif

%define kmake %make CC=%{KCC}

%define alsa_name alsa-driver-%{alsa_ver}
%define pcmcia_name pcmcia-cs-%{pcmcia_ver}
%define freeswan_name freeswan-%{ipsec_ver}

Summary: The Linux kernel (the core of the Linux operating system).
Name: kernel-%{mdkversion}
Version: %{rpmversion}
Release: %{rpmrelease}
License: GPL
Group: System/Kernel and hardware
ExclusiveArch: %{ix86} alpha ppc ia64
ExclusiveOS: Linux
URL: http://www.kernel.org/

####################################################################
#
# Sources
#
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-%{realversion}.tar.bz2
Source1: http://prdownloads.sourceforge.net/pcmcia-cs/%{pcmcia_name}.tar.bz2
Source4: README.kernel-sources
Source7: ftp://ftp.alsa-project.org/pub/driver/%{alsa_name}.tar.bz2
Source8: ftp://ftp.xs4all.nl/pub/crypto/freeswan/%{freeswan_name}.tar.bz2

Source15: linux-mdkconfig.h
Source16: linux-merge-config.awk
Source17: linux-merge-modules.awk
Source19: build_kheaders.sh

Source20: create_configs
Source21: kernel-%{realversion}-alpha.config
Source22: kernel-%{realversion}-i586.config
Source23: kernel-%{realversion}-ppc.config
Source24: kernel-%{realversion}-ia64.config

#### 3rd party sources
#
# intel e100 driver 
# ftp://download.intel.com/df-support/2749/eng/e100-1.6.6.tar.gz
Source100: 3rdparty-e100-1.6.22.tar.bz2
#
# intel e1000 driver 
# ftp://download.intel.com/df-support/2751/eng/e1000-3.0.10.tar.gz
Source101: 3rdparty-e1000-3.1.23.tar.bz2
#
# usb Logitek Quickcam  (mod_quickcam) 
# http://qce-ga.sourceforge.net/
Source102: 3rdparty-qce-ga-cvs.tar.bz2
#
# Tekram dc395 SCSI 
# http://www.garloff.de/kurt/linux/dc395/
Source104: 3rdparty-dc395x_trm-1.33-2.tar.bz2
#
# Sam 9407 soundcards 
# http://sam9407.sourceforge.net/
Source105: 3rdparty-sam9407-1.0.0.tar.bz2
#
# Madge token ring drivers
# http://www.madge.com/Connect/Downloads/Software
Source106: 3rdparty-mtok-2.41-2.tar.bz2
#
# AES SSL hardware software accelerator.
# (from rh).
Source107: 3rdparty-paep.tar.bz2
#
# Qlogic 2x00 series fc host adapters
# www.qlogic.com
Source108: 3rdparty-qla2x00-20010828.tar.bz2
#
# 3com990 network cards
# 
Source109: 3rdparty-3c990-1.0.0b.tar.bz2
#
# 3com990fx network cards
# 
Source110: 3rdparty-3c990fx-1.0.0b.tar.bz2
#
# acecad USB support
# http://perso.wanadoo.fr/edouard.tisserant/acecad/
Source111: 3rdparty-acecad-3.0.tar.bz2
#
# prism2 wireless cards support
# ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/
Source112: 3rdparty-prism2-0.1.13.tar.bz2
# audigy drivers
# http://sourceforge.net/projects/emu10k1
Source113: 3rdparty-audigy-2002-02-14.tar.bz2
# lirc drivers
# http://www.lirc.org
Source114: 3rdparty-lirc-0.6.5b.tar.bz2
# Hollywood + / dxr3
# http://dxr3.sourceforge.net/
Source115: 3rdparty-dxr3-0.12.0b.tar.bz2
# iscsi patches
# http://sourceforge.net/projects/linux-iscsi
Source116: 3rdparty-iscsi_mod-2.1.1.2.tar.bz2
# ppp-mppe module
# http://pptpclient.sourceforge.net/
Source117: 3rdparty-ppp-mppe-0.9.6b.tar.bz2

# pcmcia-cs sourecs, they will eventually move to its own package
Source1000: pcmcia-cs-3.1.27-network.script
Source1001: pcmcia-cs-3.1.25-sysconfig-pcmcia
Source1002: pcmcia-cs-3.1.27-isdn.script


####################################################################
#
# Patches

#
# Patch0 to Patch100 are for core kernel upgrades.
#

# Pre linus patch: ftp://ftp.kernel.org/pub/linux/kernel/testing
#Patch1: patch-2.4.18-rc4.bz2

##CORE##
# 
# Patch200 to Patch400 are for core kernel updates and how rpm is build
#

# Check Overflow.
Patch204: linux-2.4.9-ac12-overflow.patch.bz2

# Fix an off by one error that results in memory overwrites
Patch205: linux-2.4.3-ac4-bootmem.patch.bz2

# Add Sard profiling patch
Patch206: linux-2.4.15-pre6-sard.patch.bz2

# Add scci reset support
# Fix problems with some ami megaraid cards
Patch207: linux-2.4.15-pre6-scsi-reset.patch.bz2

# Add progress indication when decompressing ramdisk
# Comes from SuSE
Patch209: linux-2.4.2-ac20-rd-progress.patch.bz2

# Make the logo display with the version of the kernel.
Patch211: linux-2.4.17-pre7-bootlogo_with_version.patch.bz2

# Add boot splash logo from suse.
Patch212: linux-2.4.17-pre7-boot-splash.patch.bz2

# New default logo.
Patch213: linux-2.4.18-rc1-splash-screen-font-fix.patch.bz2

# New default logo.
Patch214: linux-2.4.17-pre7-default-logo.patch.bz2

# Shut up when there is no PSAUX keyboard (think USB).
Patch216: linux-2.4.3-ac13-keyboardsilence.patch.bz2

# Rebuild for multiple kernels see commment at top of patch.
Patch217: linux-2.4.5-ac15-autoconf.patch.bz2

# Make some APIC Error as Info (aka: shut up).
Patch218: linux-2.4.8-ac3-apic-quiet.patch.bz2

# Make oom killer less trigger happy
Patch222: linux-2.4.8-ac7-oomavoidance.patch.bz2

# When there is no PS2 mouse don't freeze the keyboard under X
Patch224: linux-2.4.18-no_ps2mouse.patch.bz2

# Print information about hexdecimal information number
Patch225: linux-2.4.9-ac12-hexblocknumber.patch.bz2

# Fix version string in pcmcia messages
Patch228: linux-2.4.13-ac8-cardmanager-version.patch.bz2

# andrea vm
Patch230: linux-2.4.18-andrea_vm_28.patch.bz2

# buffer.c misses a #include<compiler.h>
Patch231: linux-2.4.18-pre8-buffer-fix-compilation.patch.bz2

# export do_gett_fast_time
Patch232: linux-2.4.18-pre8-do_get_fast_time_export.patch.bz2

# quotareturn patches from rh
Patch234: linux-2.4.18-pre9-quotareturn.fix.patch.bz2

# fix rawio
Patch235: linux-2.4.18-pre9-rawio_fix_buffer_unlocking.patch.bz2

# zlib free fixes
Patch236: linux-2.4.17-rc1-zlib-zfree.patch.bz2

# fix rawio
Patch237: linux-2.4.18-rc1-increase-xconfig-array.patch.bz2

# make noapic means noapic
Patch238: linux-2.4.18-rc4-upapic.patch.bz2

# make noapic means noapic
Patch239: linux-2.4.18-rc4-i8xx-names.patch.bz2

# mini low latency patches
Patch240: linux-2.4.18-mini-low-latency.patch.bz2	

# fix a problem with no elf loaders
Patch241: linux-2.4.18-rc4-lcall7_trace.patch.bz2	

# request starvation fix from Andrew Morton
Patch242: linux-2.4.18-request_starvation_fix.patch.bz2	

# fix semaphore leak in shms
Patch243: linux-2.4.18-shm-fix.patch.bz2	

# add personality fixes for no x86
Patch244: linux-2.4.18-personality-fix.patch.bz2	

# legacy free keyboard support
Patch245: linux-2.4.18-legacy-keyboard.patch.bz2	

# fix some LSB failures
Patch248:linux-2.4.18-6.11mdk-lsb-compliance.patch.bz2

# More apic fixes
Patch249:linux-2.4.18-skip_ioapic_fixes.patch.bz2

# Disable caching between Athlons & AGP
# This is a workaround, propper solution will be seen soon
Patch250:linux-2.4.18-amd-advanced-speculative-caching-disable.patch.bz2

# legacy free piix support
Patch251: linux-2.4.18-piix-legacy-free.patch.bz2	

##CORE##

##DRIVERSUP##
#
#
# Patch400 to Patch600 are reserved for Drivers updates/Fixes
#

# USE-IO in eepro driver
Patch400: linux-2.2.16-useio.patch.bz2

# Fix bad udelay with wavelan
Patch404: linux-2.4.1-ac4-wavelan-udelay.patch.bz2

# Sym53c8xx fixes from sun.
Patch407: linux-2.4.8-ac7-sym53c8xx-fixes.patch.bz2

# Add id for NEC Picty900 (HP OEM) (USB printer).
Patch408: linux-2.4.8-ac2-nec-picty900-printer.patch.bz2

# Add ethtool for acenic and eepro (TODO: other mdk/net drivers).
Patch410: linux-2.4.13-ac8-ethtool.patch.bz2      

# Make the scsi timeout longer
Patch411: linux-2.4.8-ac7-scsitimeout.patch.bz2

# Be more strict about the pdcraid signature
Patch412: linux-2.4.8-ac7-pdcraid.patch.bz2

# USB-Silicon U2E support
Patch416: linux-2.4.6-ac2-silicom-u2e.support.patch.bz2

# usb iforce driver update
Patch417: linux-2.4.5-ac13-iforce.update.patch.bz2

# usb kaweth fix
Patch418: linux-2.4.5-ac15-kaweth-fix.patch.bz2

# usb du-e100 network card support
Patch419: linux-2.4.6-ac2-du-e100.support.patch.bz2

# Upgrade lanstreamer tokernring driver
Patch420: linux-2.4.9-ac16-lanstream_update.patch.bz2

# fix aic7xx rebuild firmware.
Patch421: linux-2.4.7-ac2-fix-rebuild-aic7xx-firmware.patch.bz2

# Upgrade xircom_cb to latest
Patch423: linux-2.4.17-pre8-pcmcia-xircom-cb-update.patch.bz2

# tulip update
Patch424: linux-2.4.13-ac7-tulip-fix.patch.bz2

# Update wacon driver
Patch426: linux-2.4.18-wacom-update.patch.bz2

# Update ide driver
# This ide update needs to be before ide-small
# http://www.linuxdiskcert.org/
Patch427: linux-2.4.18-rc1-ide-update-02072002.patch.bz2

# XFS stays in the way (POSIX_FS_ACL)
Patch429: linux-2.4.16-intermezzo-compile-fix.patch.bz2

# Update syskconnect driver to allow dual port
# http://www.syskonnect.com/syskonnect/support/info/sk-98/07_26_01_linux.htm
# handle with care, as they don't follow the linux kernel fixes.
Patch431: linux-2.4.13-ac8-syskconnect-dual-port.patch.bz2

# Add hidden status to an ip interface
Patch432: linux-2.4.17-pre8-hidden-ip-interface.patch.bz2

# drm code update from XFree.
Patch433: linux-2.4.18-pre8-drm-XFree-4.2.0.patch.bz2

# Add hidden status to an ip interface
Patch434: linux-2.4.18-pre4-i830_drm.patch.bz2

# disable sis_drm framebuffer
Patch435: linux-2.4.18-pre4-disable_sis_drm.patch.bz2
# raid5xor using SSE
Patch436: linux-2.4.18-pre9-raid5xor.patch.bz2

# allow autoloading of freevfsf
Patch437: linux-2.4.18-pre9-autoload_freevxfs.patch.bz2

# Update drm of gatos part
Patch438: linux-2.4.17-rc1-drm-gatos-latest.patch.bz2

# eepro100 fix
Patch440: linux-2.4.18-rc4-eepro100-fix.patch.bz2

# another eepro100 fix
Patch441: linux-2.4.18-eepro100-fix.patch.bz2

# another sb32 id
Patch442: linux-2.4.18-new_sound_blaster_32_id.patch.bz2

# hpfs fix
Patch444: linux-2.4.18-hpfs-fix.patch.bz2

# tridentfb fix
Patch445: linux-2.4.18-tridentfb-fix.patch.bz2

# natsemi network card
Patch446: linux-2.4.18-natsemi-fix.patch.bz2

# AMD MPX 
Patch447: linux-2.4.18-amd-768-rng-and-pm.patch.bz2

# htb (new queuinng system for net qos)
# http://luxik.cdi.cz/~devik/qos/htb/v2/
Patch448: linux-2.4.18-htb-v2.patch.bz2

# allow options after 0x00 (end of options)
# see shorewall site 
Patch449: linux-2.4.18-tcp_allow_options_after_00.patch.bz2

# Fix smbfs oops
Patch451: linux-2.4.18-smbfs-fix.patch.bz2

# IDE update fix from 2.4.19-pre3-ac3
# Only ultra safe things
Patch452: linux-2.4.18-ide-update.patch.bz2

# Additions for ICH4 builting devices
Patch453: linux-2.4.18-intel-ich4.patch.bz2
Patch454: linux-2.4.18-eepro100_addID_0x1039.patch.bz2
Patch455: linux-2.4.18-agpgart_i845G.patch.bz2
Patch456: linux-2.4.18-eepro100_addID_0x103b.patch.bz2

#
##DRIVERSUP##

##DRIVERSNEW##
#
#
# Patch600 to Patch700 are reserved for new drivers
#

# Add Crypto IP Encapsulation
Patch603: linux-2.4.6-ac1-cipe-1.4.5.patch.bz2

# cipefix with latest kernel.
Patch604: linux-2.4.2-ac28-cipefix.patch.bz2

# Add qla2100 drivers.
Patch605: linux-2.4.10-ac10-qladrivers.patch.bz2

# Upgrade qla1280 drivers
# http://www.trained-monkey.org/jes/linux/
Patch606: linux-2.4.13-ac8-qla1280-v3.23.10.patch.bz2

# Add an alternate driver for airo pcmcia devices.
Patch607: linux-2.4.18-pre9-pcmcia-alternateairo.patch.bz2

# add the 3c90x drivers
Patch608: linux-2.4.18-pre4-3c90x.patch.bz2

# e820 proc support
Patch609: linux-2.4.1-ac4-e820.patch.bz2

# Support for isdn olitec cards
Patch610: linux-2.4.3-isdn-olitec-gazel.patch.bz2

# Tw98 video capture: http://tw98.sourceforge.net/
Patch611: linux-2.4.5-ac13-driver-tw98_0.1.patch.bz2

# Usbvision driver http://www.emuit.com/drivers/
Patch612: linux-2.4.18-pre4-usbvision.patch.bz2

# Usbvision device map
Patch613: linux-2.4.5-ac13-usbvision-device-map.patch.bz2

# KDB debuggin patch
# ftp://oss.sgi.com/projects/kdb/download/v2.1/
Patch614: linux-2.4.18-pre7-kdb-common-v2.1-2.patch.bz2
Patch623: linux-2.4.18-rc2-kdb-i586-v2.1.patch.bz2

# bcm5820 support patch taken from Red Hat RPM.
Patch615: linux-2.4.18-pre9-bcm5820.patch.bz2
Patch616: linux-2.4.7-ac7-bcm5820-2.patch.bz2
Patch617: linux-2.4.10-ac10-bcm5820-16.patch.bz2
Patch618: linux-2.4.10-ac10-bcm5820-17.patch.bz2

# scsi monitoring driver http://www.torque.net/scsi/scsimon.html
Patch619: linux-2.4.17-pre8-scsimon-2.4.3-1.patch.bz2

# To generate the netfilters patch you use patch-o-matic from
# iptables sources

# Now it is indeed more complicated, you need to read this page to
# regenerate the new patches: 
# http://www.kfki.hu/~kadlec/sw/netfilter/newnat-suite/

# new nat support
# Patch620: linux-2.4.16-new_nat_support.patch.bz2

# netfilter h323-nat support.
# Patch621: linux-2.4.16-h323_support.patch.bz2

# 623 is taken by kdb.

# Add i2c-dmodules
# To regenerate i2c
# 	untar i2c-{version}.tar.bz
# 	cd  i2c-{version}
# 	./mkpatch/mkpatch.pl . $PATH/rpm/BUILD/linux/ > ../new_patch
# Latest i2c synced with 2.4.10-ac10
# Add lm_sensors-modules
# To generate patch see i2c
Patch625: linux-2.4.16-i2c-2.6.2.patch.bz2
Patch626: linux-2.4.16-lm_sensors-2.6.2.patch.bz2

# Add avm_cs pcmcia card
Patch627: linux-2.4.10-ac10-pcmcia-avm_cs.patch.bz2

# Add wvlan_cs pcmcia card
Patch628: linux-2.4.10-ac10-pcmcia-wvlan_cs.patch.bz2

# Add bcm5700 patches.
Patch629: linux-2.4.10-ac10-bcm5700.patch.bz2
Patch630: linux-2.4.10-ac10-bcm5701.patch.bz2
Patch631: linux-2.4.10-ac10-bcm5700-13.patch.bz2
Patch632: linux-2.4.10-ac10-bcm5700-15.patch.bz2
Patch633: linux-2.4.10-ac10-bcm5700-18.patch.bz2
Patch634: linux-2.4.10-ac10-bcm5700-20.patch.bz2
Patch636: linux-2.4.18-pre7-bcm5700-sk.patch.bz2

# Add natsemi_old driver
Patch635: linux-2.4.10-ac10-natsemi_old.patch.bz2

# new driver for protocol for br2648
# http://home.sch.bme.hu/~cell/br2684/dist/010402/
Patch639: linux-2.4.17-pre8-br2684-new.patch.bz2

# I810Fb driver: http://i810fb.sf.net/
Patch640: linux-2.4.18-rc1-i810fb.patch.bz2

# crypto patch with AES cryptography
# http://loop-aes.sourceforge.net/
Patch641: linux-2.4.17-loop-AES-1.5b.patch.bz2

# cipe fix for DoS.
Patch642: linux-2.4.17-cipe-fix.patch.bz2

# cipe fix for DoS.
Patch643: linux-2.4.18-pre9-rpmhelper.patch.bz2

# patch to ecc memory reporting support
Patch644: linux-2.4.18-pre9-ecc.patch.bz2

# p4 watch dog support
Patch645: linux-2.4.18-pre9-p4-watchdog.patch.bz2

# early ioremap support
Patch646: linux-2.4.18-pre9-boot_time_ioremap.patch.bz2

# early dmi scan support
Patch647: linux-2.4.18-pre9-early-dmi-scan.patch.bz2

# more dmi fixes
Patch648: linux-2.4.18-delayed_init_APIC.patch.bz2

# i2c support for AMD MPX
Patch649: linux-2.4.18-rc2-i2c-amd-768-support.patch.bz2

# more dmi detections
Patch650: linux-2.4.18-apm_borked_fujitsu_siemens.patch.bz2

# ethernet over usb
Patch651: linux-2.4.18-rc4-usbdnet-update.patch.bz2

# new hdlc driver
# ftp://ftp.pm.waw.pl/pub/Linux/hdlc/experimental/
# we have the version for 2.4.16
Patch652: linux-2.4.18-new_hdlc.patch.bz2

# ov511 update, needs the i2c update
# http://alpha.dyndns.org/ov511/download.html
Patch653: linux-2.4.18-ov511-update.patch.bz2

# USB-2.0 Controller support
Patch654: linux-2.4.17-rc4-usb-2.0.patch.bz2

# USB auerswald driver
Patch655: linux-2.4.17-rc4-usb-auerswald.patch.bz2

# Adds the USB 2.0 controller and auerswald drivers to the build
# process.
Patch656: linux-2.4.17-rc4-usb-config.patch.bz2

# adds support to the USB visor driver for the Palm m515 and Sony Clie
# S-360 devices.
Patch657: linux-2.4.17-rc4-usb-visor-update.patch.bz2

# updates the USB ibmcam driver to the latest version.  It does the
# following:
# 	- updates the documentation
# 	- adds Velo Stingray support
# 	- fixes hotplug table dependency upon now-defunct symbol
# 	- deletes drivers/usb/ibmcam.h
Patch658: linux-2.4.17-rc4-usb-ibmcam-update.patch.bz2

# Updates the USB uhci driver.It  does the following:
# 	- fixes a toggle bug
# 	- fixes a compiler warning
# 	- fixes problem where interrupt URB is unlinked in the driver's
# 	  completion handler.
# 	- fix bug when unmapping the PCI DMA mapping and then sync the
# 	  data afterwards.
# 	- documented the locking strategy
# 	- cleaned up the locking strategy
Patch659: linux-2.4.17-rc4-usb-je-uhci-update.patch.bz2
# improve speed of je uhci
Patch660: linux-2.4.17-rc4-usb-jeuhci-speed-improvement.patch.bz2
# And more dmi fixes
Patch661: linux-2.4.18-broken_hp_bios_irq9.patch.bz2

# fb for PERMEDIA p3
Patch662: linux-2.4.18-permediafb.patch.bz2

# dmi updates to fix amm in Dell Inspirons 2500
# from 2.4.19-pre3-ac3
Patch663: linux-2.4.18-dmi-updates.patch.bz2

# onetouch dmi fix for omnibooks
Patch664: linux-2.4.18-dmi_onetouch_hp_omnibook_xe3.patch.bz2

# Update to ehci driver to work with non-NEC chipset
Patch666: linux-2.4.18-ehci24-0417.patch.bz2

# New pcis & ide code for new chipset
Patch667: linux-2.4.18-ide_82801DB.patch.bz2
Patch668: linux-2.4.18-pci_ids.patch.bz2

# support for legacy free keyboards
Patch672: linux-2.4.18-7mdk-dmi_legacyfree_e-pc43.patch.bz2

# patch ppp_generic for ppp-mppe
Patch673: linux-2.4.18-ppp-mppe.patch.bz2

##DRIVERSNEW##

#
# Patch 700 to 720 are for JFS
# http://www-124.ibm.com/jfs/
Patch700: linux-2.4.19-pre10-jfs-%{jfs_ver}-specific.patch.bz2
Source701: linux-2.4.19-pre10-jfs-%{jfs_ver}-common.tar.bz2

#
# Patch 720 to 740 are for XFS
#
# xfs patch for 2.4.17
Patch720: linux-2.4.18-xfs-only.patch.bz2
Patch721: linux-2.4.18-xfs-xattr.patch.bz2
Patch722: linux-2.4.18-xfs-quota32.patch.bz2
# start_aggressive_readahead (from andrea vm)
Patch723: linux-2.4.18-xfs-kernel.patch.bz2
Patch724: linux-2.4.18-xfs-misc.patch.bz2
Patch725: linux-2.4.18-xfs-acl-dmapi.patch.bz2
Patch727: linux-2.4.18-xfs-gcc-3.1-compilation-fix.patch.bz2
#
# Patch 800 to 820 are reserved for IPVS patches
#
Patch804: linux-2.4.18-pre7-ipvs-0.9.7.patch.bz2 
Patch805: linux-2.4.18-pre7-ipvs-compilation-fix.patch.bz2 

#
# Patch 820 to 900 are reserved for small additional packages (eg:
# Alsa/freeswan)
#
# This patch is to fix recompilations of kernel-source
# remember to remove the autoconf BuildRequire & call
# when patch is not needed anymore.
Patch820: linux-2.4.18-pre7-alsa-fix.patch.bz2
# vi8233 works in alsa know.
Patch821: alsa-driver-0.5.12a-via8233-fix.patch.bz2

#Freeswan
Patch830: linux-2.4.9-ac12-ipsec-config-1.8.patch.bz2
Patch831: freeswan-1.95-fix-ipsec-include.patch.bz2
Patch832: freeswan-1.95-fix-debug.patch.bz2

#Security
Patch850: linux-2.4.18-rc4-grsecurity-1.9.2.patch.bz2

#
# Patch 1000 to 1020 are reserved for Devfs patches.
#
Patch1002: linux-2.4.10-ac10-devfs-dynamic-disk.patch.bz2
Patch1004: linux-2.4.9-ac12-sd-many-with-scsimon.patch.bz2
# devfs ide floppy support
# http://paul.bristow.free.fr/linux/ide-floppy.html
Patch1005: linux-2.4.16-ide-floppy-via-fix.patch.bz2
Patch1006: linux-2.4.16-ide-floppy-devfs-fix.patch.bz2
# support for rawio
Patch1007: linux-2.4.18-pre8-devfs_for_rawio.patch.bz2

#
# Patch1020 to 1030 are reserved for supermount
#

# Add new stat implementation, needed by supermount
Patch1020: linux-2.4.18-pre8-new_stat.patch.bz2
Patch1021: linux-2.4.18-readlink.patch.bz2
Patch1022: linux-2.4.18-pre8-mediactl.patch.bz2
Patch1023: linux-2.4.18-pre8-lseek.patch.bz2
Patch1024: linux-2.4.18-pre8-mount.patch.bz2
Patch1025: linux-2.4.18-pre8-device.patch.bz2
Patch1026: linux-2.4.18-supermount.patch.bz2

# Don't printk when	polling CDROMs for disk change
Patch1030: linux-2.4.17-quiet-cdrom.patch.bz2

#
# Patch 1100 to 1150 are reserved for misc patches
#

#BOOT kernel
Patch1100: linux-2.4.18-pre4-boot-kernel.patch.bz2

#
# Patch from 1200 to 1250 are reserved for 3rdparty drivers patch
#
Patch1200: linux-2.4.18-3rdparty.patch.bz2
Patch1201: 3rdparty-dc395x_trm-1.33-cpp-fixes.patch.bz2
Patch1202: 3rdparty-lirc-0.6.5-devfs-support.patch.bz2
# Get mrproper running at the righ time in kernel-source
Patch1203: linux-2.4.19-pre8-mrproper_for_source.patch.bz2
#
# Patch from 1300 to 1400 are reserved for Arch
# 

# riva video driver endian fixes from Ani Joshi
Patch1300: linux-2.4.18-rivafb_dfp.patch.bz2
# agp_uninorth for DRI support - PPC
Patch1302: linux-2.4.18-pre4-agp_uninorth-ppc.patch.bz2
# Fix ide compilation on mack
Patch1304: linux-2.4.18-ide-pmac-mm-ppc.patch.bz2

# Patch 1400 1500 are reserved for cleanups
# Add license tags to all our modules
Patch1400: linux-2.4.18-license-tags.patch.bz2
# s!#ifdef foo!#ifdef /* foo */!
Patch1401: linux-2.4.18-rc4-endif-compilation-fixes.patch.bz2
# s/malloc.h/slab.h/
Patch1402: linux-2.4.18-rc4-malloc.h-compilation-fixes.patch.bz2
# ide-update, dirty update, have to be here
Patch1403: linux-2.4.18-ide-update-2.4.19-pre10-ac2.patch.bz2

# PCMCIA patches
Patch2150: pcmcia-cs-3.1.21-script.patch.bz2
Patch2151: pcmcia-cs-3.1.3-3com.patch.bz2
Patch2152: pcmcia-cs-3.1.21-config.patch.bz2
Patch2153: pcmcia-cs-3.1.26-wireless.patch.bz2
Patch2154: linux-2.4.0-pcmcia-3.1.23-cp-force.patch.bz2
Patch2155: linux-2.4.3-ac3-gz-module.patch.bz2
Patch2156: linux-2.4.3-ac3-pcmcia-rc-early.patch.bz2
Patch2157: pcmcia-cs-3.1.27-spectrum-2.4t.patch.bz2
Patch2158: pcmcia-cs-3.1.28-ibmtr_compile_fix.patch.bz2
Patch2159: pcmcia-cs-3.1.27-Configure-fix.patch.bz2
Patch2160: pcmcia-cs-3.1.28-updfstab.patch.bz2
Patch2162: pcmcia-cs-3.1.28-xircom.patch.bz2
Patch2164: pcmcia-cs-3.1.27-ohci_update.patch.bz2
Patch2165: pcmcia-cs-3.1.28-pcilynx_compile_fix.patch.bz2
Patch2166: pcmcia-cs-3.1.29-8139too_cb.patch.bz2

# no aero.o aero_cs.o - PPC  
Patch2529: pcmcia-cs-3.1.2x-no-aero-ppc.patch.bz2
# hermes includes smp.h needs threads.h to define NR_CPUS - PPC
Patch2530: pcmcia-cs-3.1.29-hermes-8139too_cb-ppc.patch.bz2

#END
####################################################################

# Defines for the things that are needed for all the kernels
%define requires modutils >= 2.4.3-2mdk, mkinitrd >= 3.1.6-24mdk
%define prereq initscripts >= 5.83-4mdk
%define conflicts kernel-pcmcia-cs <= 2.4.8-26mdk, iptables <= 1.2.4-1mdk
%define kprovides kernel = %{realversion}, alsa

BuildRoot: %{_tmppath}/%{name}-%{realversion}-build
Provides: module-info, %kprovides
Autoreqprov: no
Prereq: %prereq
Requires: %requires
Conflicts: %conflicts
Obsoletes: alsa, hackkernel
Provides: alsa, hackkernel
BuildRequires: libbinutils2-devel, bison, perl
# welcome to make htmldocs psdocs pdfdocs
BuildRequires: ghostscript sgml-tools jadetex
BuildRequires: tetex-dvips tetex-latex transfig 
BuildRequires: flex zlib-devel
%if %{build_kgcc}
BuildRequires: egcs, egcs-cpp
%endif
%if %{build_gcc296}
BuildRequires: gcc, gcc-cpp
%endif
%if %{build_gcc30}
BuildRequires: gcc3.0, gcc3.0-cpp
%endif
%if %{build_gcc31}
BuildRequires: gcc3.1, gcc3.1-cpp
%endif
BuildRequires: autoconf

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Mandrake Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

#
# kernel-smp: Symmetric MultiProcessing kernel
#

%package -n kernel-smp-%{mdkversion}
Summary: The Linux Kernel compiled for SMP machines.
Group: System/Kernel and hardware
Provides: %kprovides
Prereq: %prereq
Requires: %requires

%description -n kernel-smp-%{mdkversion}
This package includes a SMP version of the Linux %{realversion} kernel. It is
required only on machines with two or more CPUs, although it should work
fine on single-CPU boxes.

%package -n kernel-secure-%{mdkversion}
Summary: The Linux Kernel compiled for SECURE machines.
Group: System/Kernel and hardware
Provides: %kprovides
Prereq: %prereq
Requires: %requires

%description -n kernel-secure-%{mdkversion}
This package includes a SECURE version of the Linux %{realversion}
kernel. This package add options for kernel that make it more secure
for servers and such. See :

http://grsecurity.net/features.htm

for list of features we have included.


#
# kernel-enterprise: Symmetric MultiProcessing kernel
#

%package -n kernel-enterprise-%{mdkversion}
Summary: The Linux Kernel compiled with options for Enterprise server usage.
Group: System/Kernel and hardware
Provides: %kprovides
Prereq: %prereq
Requires: %requires

%description -n kernel-enterprise-%{mdkversion}
This package includes a kernel that has appropriate configuration options
enabled for the typical large enterprise server.  This includes SMP support
for multiple processor machines, support for large memory configurations
and other appropriate items.

#
# kernel-boot: BOOT Kernel
#

%package -n kernel-BOOT-%{mdkversion}
Summary: The version of the Linux kernel used on installation boot disks.
Group: System/Kernel and hardware
Url: https://kenobi.mandrakesoft.com/~chmou/kernel/BOOT/

%description -n kernel-BOOT-%{mdkversion}
This package includes a trimmed down version of the Linux kernel.
This kernel is used on the installation boot disks only and should not
be used for an installed system, as many features in this kernel are
turned off because of the size constraints.

%package -n kernel-source
Version: %{realversion}
Release: %{realrelease}
Requires: glibc-devel, ncurses-devel, make, gcc
Summary: The source code for the Linux kernel.
Group: Development/Kernel
Obsoletes: alsa-source
Provides: alsa-source

%description -n kernel-source
The kernel-source package contains the source code files for the Linux
kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned to
your particular hardware, if you are so inclined (and you know what you're
doing).

##########################
# Miscellaneous packages #
##########################

#
# kernel-doc: documentation for the Linux kernel
#
%package -n kernel-doc
Version: %{realversion}
Release: %{realrelease}
Summary: Various documentation bits found in the kernel source.
Group: Development/Kernel

%description -n kernel-doc
This package contains documentation files form the kernel source. Various
bits of information about the Linux kernel and the device drivers shipped
with it are documented in these files. You also might want install this
package if you need a reference to the options that can be passed to Linux
kernel modules at load time.

%package -n kernel-doc-html
Version: %{realversion}
Release: %{realrelease}
Summary: Various books about the kernel APIs in html format
Group: Development/Kernel

%description -n kernel-doc-html

This packages contains varios books about the kernel generated from
the sourecs.

%package -n kernel-doc-ps
Version: %{realversion}
Release: %{realrelease}
Summary: Various books about the kernel APIs in ps format
Group: Development/Kernel

%description -n kernel-doc-ps

This packages contains varios books about the kernel generated from
the sourecs.

%package -n kernel-doc-pdf
Version: %{realversion}
Release: %{realrelease}
Summary: Various books about the kernel APIs in html format
Group: Development/Kernel

%description -n kernel-doc-pdf

This packages contains varios books about the kernel generated from
the sourecs.

%package pcmcia-cs
Summary: The daemon and device drivers for using PCMCIA adapters.
Group: System/Kernel and hardware

%description pcmcia-cs
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are small
cards for everything from SCSI support to modems. PCMCIA cards are hot
swappable (i.e., they can be exchanged without rebooting the system) and
quite convenient to use. The kernel-pcmcia-cs package contains a set of
loadable kernel modules that implement an applications program interface,
a set of client drivers for specific cards and a card manager daemon that
can respond to card insertion and removal events by loading and unloading
drivers on demand.  The daemon also supports hot swapping, so that the
cards can be safely inserted and ejected at any time.

Install the kernel-pcmcia-cs package if your system uses PCMCIA cards.

#
# End packages - here begins build stage
#
%prep
%setup -q -n linux

%if %build_kheaders
%{expand:%(%__cat %{SOURCE19})}
%endif

# 1 to 100 Core Kernel
#%patch1 -p1

##CORE## #200 to 400
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch209 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1
%patch216 -p1
%patch217 -p1
%patch218 -p1
%patch222 -p1
%patch224 -p1
%patch225 -p1
%patch228 -p1
%patch230 -p1
%patch231 -p1
%patch232 -p1
%patch234 -p1
%patch235 -p1
%patch236 -p1
%patch237 -p1
%patch238 -p1
%patch239 -p1
%patch240 -p1
%patch241 -p1
%patch242 -p1
%patch243 -p1
%patch244 -p1
%patch245 -p1
%patch248 -p1
##CORE##

##DRIVERSUP## 400 to 600
%patch400 -p1
%patch404 -p1
%patch407 -p1
%patch408 -p1
%patch410 -p1
%patch411 -p1
%patch412 -p1
%patch416 -p1
%patch417 -p1
%patch418 -p1
%patch419 -p1
%patch420 -p1
%patch421 -p1
%patch423 -p1
%patch424 -p1
%patch426 -p1
%patch427 -p1
%patch429 -p1
%patch431 -p1
%patch432 -p1
%patch433 -p1
%patch434 -p1
%patch435 -p1
%patch436 -p1
%patch437 -p1
%patch438 -p1
%patch440 -p1
%patch441 -p1
%patch442 -p1
%patch444 -p1
%patch445 -p1
%patch446 -p1
%patch447 -p1
%patch448 -p1
%patch449 -p1
%patch451 -p1
%patch452 -p1
%patch453 -p1
%patch454 -p1
%patch455 -p1
%patch456 -p1
##DRIVERSUP## 

##DRIVERSNEW## 600 to 700
%patch603 -p1
%patch604 -p1
%patch605 -p1
%patch606 -p1
%patch607 -p1
%patch608 -p1
%patch609 -p1
%patch610 -p1
%patch611 -p1
%patch612 -p1
%patch613 -p1
%patch614 -p1
%patch623 -p1
%patch615 -p1
%patch616 -p1
%patch617 -p1
%patch618 -p1
%patch619 -p1
#%patch620 -p1
#%patch621 -p1
%patch625 -p1
%patch626 -p1
%patch627 -p1
%patch628 -p1
%patch629 -p1
%patch630 -p1
%patch631 -p1
%patch632 -p1
%patch633 -p1
%patch634 -p1
%patch636 -p1
%patch635 -p1
%patch639 -p1
%patch640 -p1
%patch641 -p1
%patch642 -p1
%patch643 -p1
%patch644 -p1
%patch645 -p1
%patch646 -p1
%patch647 -p1
%patch648 -p1
%patch649 -p1
%patch650 -p1
%patch651 -p1
%patch652 -p1
%patch653 -p1
%patch654 -p1
%patch655 -p1
%patch656 -p1
%patch657 -p1
%patch658 -p1
%patch659 -p1
%patch660 -p1
%patch661 -p1
%patch662 -p1
%patch663 -p1
%patch664 -p1
%patch666 -p1
%patch667 -p1
%patch668 -p1
%patch672 -p1
%patch673 -p1
##DRIVERSNEW##

#JFS
%patch700 -p1
pushd .
%setup -q -n linux -D -T -a701
popd

#XFS
%patch720 -p1
%patch721 -p1
%patch722 -p1
%patch723 -p1
%patch724 -p1
%patch725 -p1
%patch727 -p1

#IPVS
%patch804 -p1
%patch805 -p1

#3rdparty drivers
%patch1200 -p1
%patch1203 -p1
%setup -q -n linux/3rdparty -D -T -a100
%setup -q -n linux/3rdparty -D -T -a101
%setup -q -n linux/3rdparty -D -T -a102
%setup -q -n linux/3rdparty -D -T -a104
%setup -q -n linux/3rdparty -D -T -a105
%setup -q -n linux/3rdparty -D -T -a106
%setup -q -n linux/3rdparty -D -T -a107
%setup -q -n linux/3rdparty -D -T -a108
%setup -q -n linux/3rdparty -D -T -a109
%setup -q -n linux/3rdparty -D -T -a110
%setup -q -n linux/3rdparty -D -T -a111
%setup -q -n linux/3rdparty -D -T -a112
%setup -q -n linux/3rdparty -D -T -a113
%setup -q -n linux/3rdparty -D -T -a114
%setup -q -n linux/3rdparty -D -T -a115
%setup -q -n linux/3rdparty -D -T -a116
%setup -q -n linux/3rdparty -D -T -a117
%patch1201 -p1
%patch1202 -p1
##Packages
#alsa
%setup -q -n linux -D -T -a7
pushd %{alsa_name}
%patch820 -p1
%patch821 -p1

#install alsa headers now
make install-headers prefix=../
autoconf
find . -name ".cvsignore" | xargs rm -f
popd

# Freeswan
%setup -q -n linux -D -T -a8
# Freeswan configuration
ln -s ../%{freeswan_name}/klips/net/ipsec net/
ln -s ../../../lib net/ipsec/libfreeswan
ln -s ../../../zlib net/ipsec/
ln -s ../../../libdes net/ipsec/
ln -sf Makefile.kernel net/ipsec/libfreeswan/Makefile

%patch830 -p1
pushd %{freeswan_name}
%patch831 -p1
%patch832 -p1
popd

#Grsecurity
%patch850 -p1

# Devfs patch
%patch1002 -p1
%patch1004 -p1
%patch1005 -p1
%patch1006 -p1
%patch1007 -p1

# Misc Patch
%patch1100 -p1

# Supermount
%patch1020 -p1
%patch1021 -p1
%patch1022 -p1
%patch1023 -p1
%patch1024 -p1
%patch1025 -p1
%patch1026 -p1

%patch1030 -p1


# Arches

%ifarch ppc
%patch1300 -p1
%endif
# the next 2 patches can be used in all kernels
%patch1302 -p1
%patch1304 -p1

# cleanups
%patch1400 -p1
%patch1401 -p1
%patch1402 -p1
%patch1403 -p1
# this needs to be moved before, but we need to put in the right place 
# first the IDE update
%patch251 -p1

# pcmcia
%if %build_pcmcia
# fix read-only permissions which break build
%setup -q -n linux -D -T -a1
chmod -R +w pcmcia*
pushd %{pcmcia_name}
%patch2150 -p1
%patch2151 -p2
%patch2152 -p2
%patch2153 -p2
%patch2154 -p2
%patch2155 -p2
%patch2156 -p2
%patch2157 -p1
%patch2158 -p1
%patch2159 -p1
%patch2160 -p1
%patch2162 -p1
%patch2164 -p1
%patch2165 -p1
%patch2166 -p1

%ifarch ppc
%patch2529 -p2
%patch2530 -p2
%endif
# this file conflicts with 2.4.4-acX
rm include/linux/ibmtr.h
popd
%endif


# PATCH END
#
# Setup Begin
#

# make sure the kernel has the sublevel we know it has...
perl -p -i -e "s/^SUBLEVEL.*/SUBLEVEL = %{sublevel}/" Makefile

# Fix Unreadable files
chmod 644 %{freeswan_name}/libdes/asm/perlasm/*pl

# get rid of unwanted files
find . -name '*~' -o -name '*.orig' -o -name '*.append' |xargs rm -f

%if %build_kheaders
patchfile=$RPM_BUILD_DIR/kernel-headers/linux-%{realversion}-mdk-headers.patch

for i in $(find include -type f \! -name '*.kheaders'|egrep '(asm-|linux)');do
    [[ -f $i.kheaders ]] || ln -sf /dev/null $i.kheaders
done

> $patchfile

for i in $(find include -type f -name '*.kheaders' -o -type l -name '*.kheaders'|egrep '(asm-|linux)');do
    if [[ -e ${i%%.kheaders} ]];then
		diff -u $i ${i%%.kheaders} >> $patchfile || :
	else
		 rm -f $i
	fi		
done

bzip2 -9f $patchfile

%endif

# .configs blues

install -m 755 %SOURCE20 scripts/create_configs
install -m 644 %SOURCE21 arch/alpha/defconfig-maximum
install -m 644 %SOURCE22 arch/i386/defconfig-maximum
install -m 644 %SOURCE23 arch/ppc/defconfig-maximum
install -m 644 %SOURCE24 arch/ia64/defconfig-maximum

TARGET_CPU="%{_target_cpu}" KDB="%build_kdb" ACPI="%build_acpi" DISTRO="%build_distro" ./scripts/create_configs

%build
# Common target directories
%define _kerneldir /usr/src/linux-%{KVERREL}
%define _bootdir /boot
%define _modulesdir /lib/modules
%define _htmldir /usr/share/doc/kernel-html
%define _pdfdir /usr/share/doc/kernel-pdf
%define _psdir /usr/share/doc/kernel-ps
%define _savedheaders ../../savedheaders/

# Directories definition needed for building
%define temp_root %{_tmppath}/%{name}-%{mdkversion}-temp
%define temp_source %{temp_root}%{_kerneldir}
%define temp_boot %{temp_root}%{_bootdir}
%define temp_html %{temp_root}%{_htmldir}
%define temp_pdf %{temp_root}%{_pdfdir}
%define temp_ps %{temp_root}%{_psdir}
%define temp_modules %{temp_root}%{_modulesdir}

DependKernel() {
	flavour=$1
	echo "Make dep for kernel $flavour"
	%kmake -s mrproper

	# We can't use only defconfig anyore because we have the autoconf patch,

	case $flavour in
	up|custom)
		cp arch/%{_arch}/defconfig .config
		;;
	*)
		cp arch/%{_arch}/defconfig-$flavour .config
		;;
	esac
	# make sure ETXRAVERSION says what we want it to say
	if [ "$flavour" = "up" ]; then
		ext=""
	else
		ext=$flavour
	fi
	# make sure ETXRAVERSION says what we want it to say
	perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{realrelease}$ext/" Makefile
	%kmake oldconfig
	%kmake dep
}

BuildKernel() {
	KernelVer=$1
	echo "Building kernel $KernelVer"

	%ifarch alpha
	%kmake boot
	%endif    

	%ifarch ppc
	%kmake vmlinux
	%endif

	%ifarch %{ix86}
	%kmake bzImage
	%endif

	%kmake modules

	# first make sure we are not loosing any .ver files to make mrporper's
	# removal of zero sized files.
	find include/linux/modules -size 0 | while read file ; do \
		echo > $file
	done

	## Start installing stuff
	install -d %{temp_boot}
	install -m 644 System.map %{temp_boot}/System.map-$KernelVer
	install -m 644 .config %{temp_boot}/config-$KernelVer

	%ifarch alpha
	cp -f arch/alpha/boot/vmlinux.gz %{temp_boot}/vmlinuz-$KernelVer
	%endif
	%ifarch ppc
	cp -f vmlinux %{temp_boot}/vmlinuz-$KernelVer
	%endif
	%ifarch %{ix86}
	cp -f arch/i386/boot/bzImage %{temp_boot}/vmlinuz-$KernelVer
	%endif

	# modules
	install -d %{temp_modules}/$KernelVer
	%kmake INSTALL_MOD_PATH=%{temp_root} KERNELRELEASE=$KernelVer modules_install 
}

BuildPCMCIA() {
	KernelVer=$1
	# We need this directory created for the files section
	install -d %{temp_modules}/$KernelVer/pcmcia
%if %build_pcmcia
	echo "Building PCMCIA for $KernelVer ..."

	make -C %{pcmcia_name} clean
	pushd %{pcmcia_name}
	./Configure --noprompt \
		--kernel=$RPM_BUILD_DIR/linux \
		--cc=%{KCC} \
		--kcc=%{KCC} \
%ifarch ppc
		--kflags=-DCONFIG_ALL_PPC \
%endif
		--target=%{temp_root} \
		--trust \
		--cardbus \
		--nopnp \
		--srctree \
		--moddir=%{_modulesdir}/$KernelVer \
		--sysv \
		--rcdir=/etc/rc.d
	popd
	perl -pi -e 's|/usr/man|%{_mandir}|' %{pcmcia_name}/man/Makefile
# ppc needs make here, still investigating why
# FIXME
	make -C %{pcmcia_name}/debug-tools/ lspnp
	make -C %{pcmcia_name} all
	make -C %{pcmcia_name} install
	install -m755 %{pcmcia_name}/debug-tools/lspnp %{temp_root}/sbin/lspnp
%endif
}

BuildAlsa() {
	KernelVer=$1
	AlsaRoot=%{temp_modules}/$KernelVer/alsa/
	echo "Building Alsa for $KernelVer"

        pushd %{alsa_name}
        [ -e Makefile.conf ] && make mrproper
	CFLAGS=$FLAGS CC=%{KCC} ./configure --with-kernel=$RPM_BUILD_DIR/linux \
		--with-moddir=$AlsaRoot \
		--with-processor=%{_target_cpu} \
		--with-smp=auto \
		--without-isapnp \
		--with-sequencer=yes \
		--with-oss=yes
	# Fix SMP build
	make dep
	%make
	install -d $AlsaRoot
        install -m644 modules/*.o $AlsaRoot
	popd
}

SaveHeaders() {
	flavour=$1
%if %build_source
	HeadersRoot=%{temp_source}/savedheaders
	HeadersArch=$HeadersRoot/%{_target_cpu}/$flavour
	echo "Saving hearders for $flavour %{_target_cpu}"

	# deal with the kernel headers that are version specific
	install -d $HeadersArch
	install -m 644 include/linux/autoconf.h $HeadersArch/autoconf.h
	install -m 644 include/linux/version.h $HeadersArch/version.h
	mv include/linux/modules $HeadersArch
    	echo "%{_target_cpu} $flavour %{_savedheaders}%{_target_cpu}/$flavour/" >> $HeadersRoot/list
%endif
}

CreateKernel() {
	flavour=$1
	if [ "$flavour" = "up" ]; then
		KernelVer=%{KVERREL}
	else
		KernelVer=%{KVERREL}$flavour
	fi
	DependKernel $flavour
	BuildKernel $KernelVer
	BuildPCMCIA $KernelVer
	if [[ $flavour != BOOT ]];then	
		BuildAlsa $KernelVer
		SaveHeaders $flavour
	fi
}

###
# DO it...
###

# Create a simulacro of %buildroot
rm -rf %{temp_root}
install -d %{temp_root}

#make sure we are in the directory
cd $RPM_BUILD_DIR/linux

%if %build_BOOT
CreateKernel BOOT
%endif

%if %build_smp
CreateKernel smp
%endif

%if %build_secure
CreateKernel secure
%endif

%if %build_enterprise
CreateKernel enterprise
%endif

%if %build_up
CreateKernel up
%endif

# don't put here % make, as there is not propers dependencies
%if %build_doc
make htmldocs psdocs pdfdocs
install -d %{temp_ps}
cp -a Documentation/DocBook/*\.ps %{temp_ps}
install -d %{temp_pdf}
cp -a Documentation/DocBook/*\.pdf %{temp_pdf}
install -d %{temp_html}
pushd Documentation/DocBook
find * -type d -exec cp -a {} %{temp_html}/{} \;
popd
%endif

# We don't make to repeat the depend code at the install phase
%if %build_source
DependKernel custom
%endif

###
### install
###
%install

# Directories definition needed for installing
%define target_source %{buildroot}/%{_kerneldir}
%define target_boot %{buildroot}%{_bootdir}
%define target_modules %{buildroot}%{_modulesdir}

# We want to be able to test several times the install part
rm -rf %{buildroot}
cp -a %{temp_root} %{buildroot}

# Create directories infastructure
install -d %{buildroot}/sbin
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_libdir}
%if %build_source
install -d %{target_source} 
%endif
for i in %{target_modules}/*; do
  rm -f $i/build $i/modules.*
  ln -sf %{_kerneldir} $i/build
done

%if %build_pcmcia
install -m 755 %{pcmcia_name}/cardmgr/cardmgr %{buildroot}/sbin
install -d %{buildroot}/%{_mandir}/man{1,5,8}
%endif

%if %build_pcmcia
install -d %{buildroot}/etc/pcmcia
install -d %{buildroot}/etc/sysconfig
# Install our own network up/down script
install -m755 %{SOURCE1000} %{buildroot}/etc/pcmcia/network
# We need our own default /etc/sysconfig/pcmcia
install -m755 %{SOURCE1001} %{buildroot}/etc/sysconfig/pcmcia
# We support now isdn pcmcia cards
install -m755 %{SOURCE1002} %{buildroot}/etc/pcmcia/isdn
%endif


%if %build_source
tar cf - . | tar xf - -C %{target_source}
ln -sf linux-%{KVERREL} %{buildroot}/usr/src/linux
install -m 644 %{SOURCE4}  %{target_source}

%kmake -C %{target_source}/%{alsa_name} mrproper
for i in ainstr_gf1.h  ainstr_iw.h  ainstr_simple.h  asequencer.h  asound.h asoundid.h; do 
		cp -f %{target_source}/%{alsa_name}/include/$i \
				%{target_source}/include/linux/
done
rm -f %{target_source}/%{alsa_name}/include/config.h

# We need this to prevent someone doing a make *config without mrproper
touch %{target_source}/.need_mrproper

# We used to have a copy of DependKernel here
# Now, we make sure that the thing in the linux dir is what we want it to be

# We need to fix the patchs in .*depend files  after we fix the paths
find %{target_source} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

# Try to put some smarter autoconf.h and version.h and modversions.h files in place
pushd %{target_source}/include/linux ; {
install -m 644 %{SOURCE15} rhconfig.h
rm -rf modules modversions.h autoconf.h version.h
# create modversions.h
cat > modversions.h <<EOF
#ifndef _LINUX_MODVERSIONS_H
#define _LINUX_MODVERSIONS_H
#include <linux/rhconfig.h>
#include <linux/modsetver.h>
EOF
list=`find %{_savedheaders}*/*/modules/*.ver -exec basename '{}' \; | sort -u`
mkdir modules
for l in $list; do
    sed 's,$,modules/'$l, %{_savedheaders}list | awk -f %{SOURCE17} > modules/$l
    touch -r modules/$l modules/`basename $l .ver`.stamp
    echo '#include <linux/modules/'$l'>' >> modversions.h
done
echo '#endif /* _LINUX_MODVERSIONS_H */' >> modversions.h
# Create autoconf.h file
echo '#include <linux/rhconfig.h>' > autoconf.h
sed 's,$,autoconf.h,' %{_savedheaders}list | awk -f %{SOURCE16} >> autoconf.h
# Create version.h
echo "#include <linux/rhconfig.h>" >> version.h
loop_cnt=0
for i in smp enterprise up secure; do
	if [ -d %{_savedheaders}%{_target_cpu}/$i -a \
	     -f %{_savedheaders}%{_target_cpu}/$i/version.h ]; then
		if [ $loop_cnt = 0 ]; then
      			buf="#if defined(__module__$i)"
      			previous_i="$i"
      			loop_cnt=1
    		else
      			echo "$buf" >> version.h
      			grep UTS_RELEASE %{_savedheaders}%{_target_cpu}/${previous_i}/version.h >> version.h
 	     		buf="#elif defined(__module__$i)"
      			previous_i="$i"
      			loop_cnt=`expr $loop_cnt + 1`
    		fi
    fi
done
#write last lines
if [ $loop_cnt -eq 0 ]; then
	echo "You need to build at least one kernel"
	exit 1;
fi

if [ $loop_cnt -gt 1 ]; then
	echo "#else" >> version.h
fi

grep UTS_RELEASE %{_savedheaders}%{_target_cpu}/${previous_i}/version.h >> version.h

if [ $loop_cnt -gt 1 ]; then
	echo "#endif" >> version.h
fi

# Any of the version.h are ok, as they only differ in the first line
ls %{_savedheaders}%{_target_cpu}/*/version.h | head -1 | xargs grep -v UTS_RELEASE >> version.h
rm -rf %{_savedheaders}
} ; popd
echo "#if 0" > %{target_boot}/kernel.h-%{realversion}

%if %build_pcmcia
#clean up the destination
%kmake clean -C %{target_source}/%{pcmcia_name}
rm -f %{target_source}/%{pcmcia_name}/config.out
%endif

#endif build_source
%endif
# Gzip module and relink the link to a .gz module
find %{target_modules} -type f -name '*.o'|xargs gzip -9f
for i in $(find %{target_modules} -type l -name '*.o');do
    link=$(perl -e 'print readlink shift, "\n"' $i)
    ln -s $link.gz $i.gz
    rm -f $i
done

pushd %{target_modules} && {
for dir in $(ls); do
	pushd $dir
		for i in $(find . -type f -name '*_c[sb].o.gz');do
			[[ $i = */pcmcia/* ]] && continue
			[[ -e pcmcia/$(basename $i) ]] && continue
			  ln -vs .${i} pcmcia/$(basename $i)
		done
	popd
done
} && popd

for i in %{target_modules}/*; do
  rm -f $i/build $i/modules.*
  ln -sf %{_kerneldir} $i/build
done

# sniff, if we gzipped all the modules, we change the stamp :(
# there are also the alsa modules, we really need the depmod -ae here

%define depmod_opts -u -ae

%if %build_80
%define depmod_opts -ae
%endif 

%if %build_81
%define depmod_opts -ae
%endif

pushd %{target_modules} && {
for i in *; do
	/sbin/depmod %depmod_opts -b %{buildroot} -r -F %{target_boot}/System.map-$i $i
done
} && popd


###
### clean
###

%clean
rm -rf %{buildroot}
# We don't want to remove this, the whole reason of its existence is to be 
# able to do several rpm --short-circuit -bi for testing install 
# phase without repeating compilation phase
#rm -rf %{temp_root} 

###
### scripts
###

# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
%preun
/sbin/modprobe loop 2> /dev/null > /dev/null

REMOVE=
if [ -f /etc/sysconfig/system ];then
		source /etc/sysconfig/system
		[[ "$CLASS" = "beginner" ]] && REMOVE=yes
fi
if [ -f /etc/sysconfig/installkernel ];then
		source /etc/sysconfig/installkernel
		[[ "$AUTOREMOVE" = [Yy][Ee][Ss] ]] && REMOVE=yes
		[[ "$AUTOREMOVE" = [Nn][Oo] ]] && REMOVE=
fi

[[ -n $REMOVE ]] && /sbin/installkernel -a -R -c %{KVERREL}

exit 0

%preun -n kernel-smp-%{mdkversion}
/sbin/modprobe loop 2> /dev/null > /dev/null

REMOVE=
if [ -f /etc/sysconfig/system ];then
		source /etc/sysconfig/system
		[[ "$CLASS" = "beginner" ]] && REMOVE=yes
fi
if [ -f /etc/sysconfig/installkernel ];then
		source /etc/sysconfig/installkernel
		[[ "$AUTOREMOVE" = [Yy][Ee][Ss] ]] && REMOVE=yes
		[[ "$AUTOREMOVE" = [Nn][Oo] ]] && REMOVE=
fi

[[ -n $REMOVE ]] && /sbin/installkernel -a -R -c %{KVERREL}smp

exit 0

%preun -n kernel-enterprise-%{mdkversion}
/sbin/modprobe loop 2> /dev/null > /dev/null

REMOVE=
if [ -f /etc/sysconfig/system ];then
		source /etc/sysconfig/system
		[[ "$CLASS" = "beginner" ]] && REMOVE=yes
fi
if [ -f /etc/sysconfig/installkernel ];then
		source /etc/sysconfig/installkernel
		[[ "$AUTOREMOVE" = [Yy][Ee][Ss] ]] && REMOVE=yes
		[[ "$AUTOREMOVE" = [Nn][Oo] ]] && REMOVE=
fi

[[ -n $REMOVE ]] && /sbin/installkernel -a -R -c %{KVERREL}enterprise

exit 0

%preun -n kernel-BOOT-%{mdkversion}
/sbin/modprobe loop 2> /dev/null > /dev/null

REMOVE=
if [ -f /etc/sysconfig/system ];then
		source /etc/sysconfig/system
		[[ "$CLASS" = "beginner" ]] && REMOVE=yes
fi
if [ -f /etc/sysconfig/installkernel ];then
		source /etc/sysconfig/installkernel
		[[ "$AUTOREMOVE" = [Yy][Ee][Ss] ]] && REMOVE=yes
		[[ "$AUTOREMOVE" = [Nn][Oo] ]] && REMOVE=
fi

[[ -n $REMOVE ]] && /sbin/installkernel -a -R -c %{KVERREL}BOOT

exit 0

%preun -n kernel-secure-%{mdkversion}
/sbin/modprobe loop 2> /dev/null > /dev/null

REMOVE=
if [ -f /etc/sysconfig/system ];then
		source /etc/sysconfig/system
		[[ "$CLASS" = "beginner" ]] && REMOVE=yes
fi
if [ -f /etc/sysconfig/installkernel ];then
		source /etc/sysconfig/installkernel
		[[ "$AUTOREMOVE" = [Yy][Ee][Ss] ]] && REMOVE=yes
		[[ "$AUTOREMOVE" = [Nn][Oo] ]] && REMOVE=
fi

[[ -n $REMOVE ]] && /sbin/installkernel -a -R -c %{KVERREL}secure

exit 0

%post
cd %{_bootdir}
if [ -x /sbin/installkernel ];then
	      /sbin/installkernel -a -c %{KVERREL}
fi

%postun
cd %{_bootdir}
if [ -f initrd-%{KVERREL}.img ];then
		rm -f initrd-%{KVERREL}.img
fi

%post -n kernel-smp-%{mdkversion}
cd %{_bootdir}
if [ -x /sbin/installkernel ];then
	      /sbin/installkernel -a -c %{KVERREL}smp
fi

%postun -n kernel-smp-%{mdkversion}
cd %{_bootdir}
if [ -f initrd-%{KVERREL}smp.img ];then
		rm -f initrd-%{KVERREL}smp.img
fi

%post -n kernel-enterprise-%{mdkversion}
cd %{_bootdir}
if [ -x /sbin/installkernel ];then
	      /sbin/installkernel -a -c %{KVERREL}enterprise
fi

%postun -n kernel-enterprise-%{mdkversion}
cd %{_bootdir}
if [ -f initrd-%{KVERREL}enterprise.img ];then
		rm -f initrd-%{KVERREL}enterprise.img
fi

%post -n kernel-secure-%{mdkversion}
cd %{_bootdir}
if [ -x /sbin/installkernel ];then
	      /sbin/installkernel -a -c %{KVERREL}secure
fi

%postun -n kernel-BOOT-%{mdkversion}
cd %{_bootdir}
if [ -f initrd-%{KVERREL}BOOT.img ];then
		rm -f initrd-%{KVERREL}BOOT.img
fi

%postun -n kernel-secure-%{mdkversion}
cd %{_bootdir}
if [ -f initrd-%{KVERREL}secure.img ];then
		rm -f initrd-%{KVERREL}secure.img
fi

%post -n kernel-source
cd /usr/src
rm -f linux
ln -snf linux-%{KVERREL} linux
/sbin/service kheader start 2>/dev/null >/dev/null || :

%postun -n kernel-source
if [ -L /usr/src/linux ]; then 
    if [ -L /usr/src/linux -a `ls -l /usr/src/linux 2>/dev/null| awk '{ print $11 }'` = "linux-%{KVERREL}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
exit 0

%post pcmcia-cs
/sbin/chkconfig --add pcmcia

%preun pcmcia-cs
if [ $1 = 0 ]; then
    /sbin/chkconfig --del pcmcia
fi
exit 0

%triggerpostun -- kernel-pcmcia-cs < 2.2.5
if [ -f /etc/rc.d/init.d/pcmcia ] ; then
    /sbin/chkconfig --add pcmcia
fi


###
### file lists
###

%if %build_up
%files
%defattr(-,root,root)
%{_bootdir}/config-%{KVERREL}
%{_bootdir}/vmlinuz-%{KVERREL}
%{_bootdir}/System.map-%{KVERREL}
%dir %{_modulesdir}/%{KVERREL}/
%{_modulesdir}/%{KVERREL}/kernel
%{_modulesdir}/%{KVERREL}/build
%{_modulesdir}/%{KVERREL}/pcmcia
%{_modulesdir}/%{KVERREL}/alsa
%{_modulesdir}/%{KVERREL}/modules.*
%endif

%if %build_smp
%files -n kernel-smp-%{mdkversion}
%defattr(-,root,root)
%{_bootdir}/config-%{KVERREL}smp
%{_bootdir}/vmlinuz-%{KVERREL}smp   
%{_bootdir}/System.map-%{KVERREL}smp
%dir %{_modulesdir}/%{KVERREL}smp/
%{_modulesdir}/%{KVERREL}smp/kernel
%{_modulesdir}/%{KVERREL}smp/build
%{_modulesdir}/%{KVERREL}smp/pcmcia
%{_modulesdir}/%{KVERREL}smp/alsa
%{_modulesdir}/%{KVERREL}smp/modules.*
%endif

%if %build_enterprise
%files -n kernel-enterprise-%{mdkversion}
%defattr(-,root,root)
%{_bootdir}/config-%{KVERREL}enterprise
%{_bootdir}/vmlinuz-%{KVERREL}enterprise
%{_bootdir}/System.map-%{KVERREL}enterprise
%dir %{_modulesdir}/%{KVERREL}enterprise/
%{_modulesdir}/%{KVERREL}enterprise/kernel
%{_modulesdir}/%{KVERREL}enterprise/build
%{_modulesdir}/%{KVERREL}enterprise/pcmcia
%{_modulesdir}/%{KVERREL}enterprise/alsa
%{_modulesdir}/%{KVERREL}enterprise/modules.*
%endif

%if %build_BOOT
%files -n kernel-BOOT-%{mdkversion}
%defattr(-,root,root)
%{_bootdir}/config-%{KVERREL}BOOT
%{_bootdir}/vmlinuz-%{KVERREL}BOOT
%{_bootdir}/System.map-%{KVERREL}BOOT
%dir %{_modulesdir}/%{KVERREL}BOOT/
%{_modulesdir}/%{KVERREL}BOOT/kernel
%{_modulesdir}/%{KVERREL}BOOT/build
%{_modulesdir}/%{KVERREL}BOOT/pcmcia
%{_modulesdir}/%{KVERREL}BOOT/modules.*
%%if %build_pcmcia
/sbin/cardmgr
%%endif
%endif

%if %build_secure
%files -n kernel-secure-%{mdkversion}
%defattr(-,root,root)
%{_bootdir}/config-%{KVERREL}secure
%{_bootdir}/vmlinuz-%{KVERREL}secure
%{_bootdir}/System.map-%{KVERREL}secure
%dir %{_modulesdir}/%{KVERREL}secure/
%{_modulesdir}/%{KVERREL}secure/kernel
%{_modulesdir}/%{KVERREL}secure/build
%{_modulesdir}/%{KVERREL}secure/pcmcia
%{_modulesdir}/%{KVERREL}secure/alsa
%{_modulesdir}/%{KVERREL}secure/modules.*
%endif

%if %build_source
%files -n kernel-source
%defattr(-,root,root)
%dir %{_kerneldir}
%dir %{_kerneldir}/arch
%dir %{_kerneldir}/include
%{_kerneldir}/.config
%{_kerneldir}/.need_mrproper
%{_kerneldir}/COPYING
%{_kerneldir}/CREDITS
%{_kerneldir}/Documentation
%{_kerneldir}/MAINTAINERS
%{_kerneldir}/Makefile
%{_kerneldir}/README
%{_kerneldir}/REPORTING-BUGS
%{_kerneldir}/Rules.make
%{_kerneldir}/arch/alpha
%{_kerneldir}/arch/i386
%{_kerneldir}/arch/ia64
%{_kerneldir}/arch/ppc
%{_kerneldir}/drivers
%{_kerneldir}/fs
%{_kerneldir}/init
%{_kerneldir}/ipc
%{_kerneldir}/kdb
%{_kerneldir}/kernel
%{_kerneldir}/lib
%{_kerneldir}/mm
%{_kerneldir}/net
%{_kerneldir}/scripts
%{_kerneldir}/3rdparty
%{_kerneldir}/grsecurity
%{_kerneldir}/%{freeswan_name}
%{_kerneldir}/%{alsa_name}
%{_kerneldir}/include/asm-alpha
%{_kerneldir}/include/asm-i386
%{_kerneldir}/include/asm-ia64
# That is needed by ppc
%{_kerneldir}/include/asm-m68k
%{_kerneldir}/include/asm-ppc
%{_kerneldir}/include/asm
%{_kerneldir}/include/asm-generic
%{_kerneldir}/include/linux
%{_kerneldir}/include/math-emu
%{_kerneldir}/include/net
%{_kerneldir}/include/pcmcia
%{_kerneldir}/include/scsi
%{_kerneldir}/include/video
%if %build_pcmcia
%{_kerneldir}/%{pcmcia_name}
%endif
#endif %build_source
%endif

%if %build_pcmcia
%files pcmcia-cs
%defattr(-,root,root)
%doc %{pcmcia_name}/doc/PCMCIA-HOWTO 
%doc %{pcmcia_name}/doc/PCMCIA-PROG
%doc %{pcmcia_name}/CHANGES 
%doc %{pcmcia_name}/COPYING 
%doc %{pcmcia_name}/README
%doc %{pcmcia_name}/SUPPORTED.CARDS 
%attr(755,root,root) /sbin/cardctl
/sbin/cardmgr
/sbin/dump_cis
/sbin/ide_info
/sbin/ftl_check
/sbin/ftl_format
/sbin/ifport
/sbin/ifuser
/sbin/pack_cis
/sbin/pcinitrd
/sbin/lspnp
%ifnarch ppc
/sbin/probe
%endif
/sbin/scsi_info
%{_mandir}/man4/*
%{_mandir}/man5/pcmcia*
%{_mandir}/man5/stab*
%{_mandir}/man8/pcinitrd*
%{_mandir}/man8/ide_info*
%{_mandir}/man8/lspnp*
%{_mandir}/man8/cardctl*
%{_mandir}/man8/cardmgr*
%{_mandir}/man8/scsi_info*
%{_mandir}/man8/setpnp*
%{_mandir}/man8/ifport*
%{_mandir}/man8/pack_cis*
%{_mandir}/man8/ifuser*
%{_mandir}/man8/dump_cis*
%{_mandir}/man8/ftl_check*
%{_mandir}/man8/ftl_format*
%config(noreplace) /etc/rc.d/init.d/pcmcia
%config(noreplace) /etc/sysconfig/pcmcia
%dir /etc/pcmcia
%dir /etc/pcmcia/cis
%config(noreplace) /etc/pcmcia/cis/*
%config(noreplace) /etc/pcmcia/config
%config(noreplace) /etc/pcmcia/config.opts
/etc/pcmcia/ftl
%config(noreplace) /etc/pcmcia/ftl.opts
/etc/pcmcia/ide
%config(noreplace) /etc/pcmcia/ide.opts
/etc/pcmcia/ieee1394
%config(noreplace) /etc/pcmcia/ieee1394.opts
/etc/pcmcia/memory
%config(noreplace) /etc/pcmcia/memory.opts
/etc/pcmcia/network
%config(noreplace) /etc/pcmcia/network.opts
/etc/pcmcia/parport
%config(noreplace) /etc/pcmcia/parport.opts
/etc/pcmcia/scsi
%config(noreplace) /etc/pcmcia/scsi.opts
/etc/pcmcia/serial
%config(noreplace) /etc/pcmcia/serial.opts
%config(noreplace) /etc/pcmcia/shared
/etc/pcmcia/wireless
%config(noreplace) /etc/pcmcia/wireless.opts
%dir /var/lib/pcmcia
%endif


%if %build_doc
%files -n kernel-doc
%defattr(-,root,root)
%doc Documentation/*

%files -n kernel-doc-html
%defattr(-,root,root)
%doc %{_htmldir}

%files -n kernel-doc-pdf
%defattr(-,root,root)
%doc %{_pdfdir}

%files -n kernel-doc-ps
%defattr(-,root,root)
%doc %{_psdir}

#endif build_doc	
%endif

%changelog
* Mon Jun 24 2002 Vincent Danen <vdanen@mandrakesoft.com> 1-3mdk
- update for 8.0/8.1
- reintroduce pcmcia-cs patch for ppc (P2530)

* Fri Jun 21 2002 Juan Quintela <quintela@mandrakesoft.com> 1-2mdk
- added pcmcia-cs.
- 2.4.18-9mdk (2nd try).

* Fri Jun 21 2002 Juan Quintela <quintela@mandrakesoft.com> 1-2mdk
- new P251, Got the legacy free boxes to work with IDE in PIO mode 
- HP changed the BIOS of one machine to belong to COMPAQ.
- 2.4.18-8mdk (2nd try).

* Fri Jun 14 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- s/build_cooker/build_83/.
- new P1403, ide-update-2.4.19-pre10-ac2.
- update P248 (lsb-compliance), from to-be-pre11.
- add P250 (amd-advanced-caching-disable).
- 2.4.18-7mdk.

* Wed Jun 12 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- add P249 (skip_ioapic_fixes).
- disable RPMHELPER.
- update P667 (ide for i845).
- new P456, add yet another eepro id.
- create build_distro string.
- remove p246 & p247, superseed by P248 (lsb compliance), stew.
- really added .need_mrproper.
- 2.4.18-6.10mdk.

* Wed Jun  5 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- updated 3rdparty patch to included no need for make mrproper.
- update P1300 (riva patch for ppc).
- updated ppc config to make it to compile.
- added P821 (via8233), for alsa sound.
- change a bit kernel-source to get a kernel-source for all archs.
- added P673 (ppp-mppe).
- added lirc, dxr3, iscsi_mod & ppp-mppe from cooker kernel.
- remove P60[012], iscsi, now they are an external module.
- remove P450 (interphase), has never worked really.
- remove P439 (via udma 66), it is supposed not to be needed, again.
- added P246, P247, fix lsb failures.
- romeve P219 (noathlon), not needed anymore.
- 2.4.18-6.9mdk.

* Mon May 13 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- legacy-free keyboard (P672).
- fix for xfs & gcc-3.1 (P727).
- keyboard for legacy free machines (P245).
- we have jens qlogic driver (better than the one in the ia64 patch).
- added ia64 support.
- updated linux-mdkconfig.h to get right modversions symbols (Andrej Borsenkow).
- 2.4.18-6.5.

* Fri Apr 19 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- added ide support for ich4 (P667, P668).
- add ich4 support (P453.P454, P455).
- Get ehci update from usb mailing lists (P666).
- remove following patches, not needed anymore (from Christoph Hellwig):
  * P221 (numargs) only needed for s390.
  * P223 (triplelok) not needed anymore.
  * P401 (i2o_lookup) not needed anymore.
  * P422 (cramfs_spinlock) not needed.
  * P1303 (sis-fix-alsa_compilation)
- omnibook xe3 onetouch mouse should work accross resumes now.
- secure kernel is now for i586 & SMP & not high memory.
- dmi update to fix apm in Dell Inspirons 2500 (from 7mdk).
- smbfs fix for Ooops (from 7mdk).
- mini ide update (ultra safe mode)(from 7mdk): 
  * Release recognition of promise ide raid.
  * fix jiffies workaround things (ide-tape).
  * hpt37[24], don't oops if we find them
  * put another WD disk in the ide-dma black list.
  * fix Oops with hpt37x & a lot of controllers.
- 2.4.18-6.3mdk.

* Fri Mar 15 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- fix removal oops of pcmcia cards (dirty fix, akpm & jgarzik working
  in a better fix for upstream).
- 2.4.18-6mdk.

* Sat Mar  9 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- supermount fixes (symlinks works as expected).
- wacon update (flepied).
- 2.4.18-5mdk.

* Tue Mar  5 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- audigy driver for emu10k1 new cards.
- quotas fixed, at last (for the curious, jfs & reiserfs don't have 
  quota support, don't try).
- remove the quota patch, as it is integrated in the xfs one.
- xfs for 2.4.18.
- enable wireless support in BOOT kernels.
- 2.4.18-4mdk.

* Sun Mar  3 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- update ov511 to 1.57 version.
- addded Interphase fiber channel support in the cpqfc driver.
- re-merge quotas (this time it is supposed to work).
- re-merge xfs-2.4.17 again.
- change default config to be up again.
- new driver for prism2 wireless cards.
- allow options in tcp after the 0x00 (end of options).
  blame firewal people (aka florin).
- htb v2 (new queing system).
- added support to create_configs for athlon, k6, i486 & i386 
  (I think that rpm don't know more architectures).
- jfs 1.0.15.
- 2.4.18-3mdk.

* Thu Feb 28 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- support for AMD MPX (2.4.19-pre1).
- natsemi fix (2.4.19-pre1).
- add tridentfb fix and enable it again (2.4.19-pre1).
- set personality (2.4.19-pre1).
- hpfs fix (2.4.19-pre1).
- add shm-fix (2.4.19-pre1).
- add permedia pm3 fb driver (2.4.19-pre1).
- add request starvation fix Andrew Morton.
- add new sound blaster32 id (2.4.19-pre1-ac1).
- update new ps2mouse from 2.4.19-pre1-ac1.
- andrea vm_28.
- dmi fixes from 2.4.19-pre1, 2.4.19-pre1-ac1, 2.5.6-pre1. For the curious:
  * Dell laptops & ACPI.
  * Hp problems with interrups.
  * Fujitsu-Siemens with apci_timer.
- 2.4.18-2mdk.

* Wed Feb 27 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- fix the new hdlc code, this time for real.
- Improve speed of je uhci (660) (chmouel).
- Remove the big usb-update patch and split it with multiple patch (chmouel).
- Add USB auerswald driver (P655). (chmouel).
- Add the USB 2.0 controller and auerswald drivers to the build  
  process (P656). (chmouel).
- Add support to the USB visor driver for the Palm m515 and Sony Clie
  S-360 devices. (P657). (chmouel).
- Updates the USB ibmcam driver to the latest version (P658). (chmouel).
- Updates the USB uhci driver (P659). (chmouel).
- Moved acecad from patch to 3rdparty.
- 2.4.18.1mdk.

* Tue Feb 26 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- rediff grsecurity.
- update the o511 driver.
- fix for eepro100.
- added all the 3c990x network cards.
- fix por the people having problems with via dma.
- new patch pc300 for cyclades cards.
- added fixes for non native binaries.
- added andrea vm_27.
- added mini-low latency patch.
- added acecad tablet driver.
- added eboxit patch for vpn over adsl.
- added support for 3c990[fx] cards.
- update the Zaurus driver to be usbnet.
- fix kdb creations in create_configs.
- 2.4.17.22mdk.

* Fri Feb 22 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- redo the configuration code, now there is only one config file for arch
  and we generate the rest from here.
- upapic from rh.
- 2.4.18-rc4.
- fix the gcc3-version problem (Andre Duclos).
- remove %build_80 option, it don't work anyways.
- update for usb2.0 (chmouel).
- remove page_cache_size fix (included in latest adrea_vm)
- andrea vm_25 (from 2.4.18-rc2aa2).
- added i2c support for AMD 768 (Willy Tarreau <wtarreau@free.fr>).
- add license tags for all the modules without one.
- remove rhkmvtag.c & is uses, as it was a write only use.
- freeswan 1.95.
- 2.4.17.21mdk.

* Wed Feb 20 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- enable rpmhelper module in all the kernels for now on.
- 2.4.18-rc2.
- now xconfig has the correct values and works again.
- fix dependencies for boot-splash-screen font (jgarzik).
- fix in pcmcia modules names links (Andre Duclos).
- fix to kernel-hearders and new naming scheme (Andre Duclos).
- update Zaurus driver for ethernet over usb (Dave Seff).
- updated ppc configs (stew).
- 2.4.17.20mdk.

* Tue Feb 19 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1-1mdk
- Update gatos patch to get working the radeon drm.
- 2.4.17.19mdk.

* Thu Feb 14 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- redo all the configs.
- remove Tridentfb module, as it will hang.
- update ide patches to 02072002 version.
- 2.4.18-rc1.
- updated 3rdparty support.
- qla2x00 2001/08/28 version (from rh).
- Hope that this time the module.* thing is fixed.
- 2.4.17.18mdk.

* Wed Feb 13 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- remove patch to e100 compilation.
- new e100 driver (version 1.6.22) from rh.
- Intel e1000 driver (version 3.1.23) from rh.
- early dmi scan (from rh).
- new boot_time_ioremap patch.
- new p4 watchdog (from rh).
- allow autoload of freevxfs module (from rh).
- updated iscsi patch (from rh).
- fix rawio (from rh).
- added raid5xor module (from rh).
- added rpmhelper module (from rh).
- added build_BOOT define to make happy not x86 archs (stew).
- quotareturn fixes (P234) from rh.
- page_cache_size fix.
- redo all the configurations.
- remove netfilter patch.
- return compilation of VXFS_FS.
- 2.4.18-pre9.
- 2.4.17.17mdk.

* Thu Feb  7 2002  <quintela@kernel.mandrakesoft.com> 1-1mdk
- new supermount version, this is supposed not to Oops.
- add netfilter fixes (P436).
- added support for rawio to devfs (P1007).
- resync linux-merge-*.awk with rh versions (comments mainly).
- 2.4.17.16mdk.

* Wed Feb  6 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- requires mkinitrd >= 3.1.6-24mdk due to xfs changes.
- fix kernel to still export the name do_get_fast_time (P232).
- add buffer-fix-compilation-patch(231).
- disable VXFS for now.
- reddiff xfs-kernel patch.
- added defalt logo patch (P213) (chmouel).
- update xfs-act-extattr due to new syscalls.
- remove i810 audio update (P643), included upstream.
- parts of the drm upgrade was included upstream(P433).
- remove P232,P233 that fixed the problems with pre7.
- 2.4.18-pre8.
- really use andrea vm_24.
- 2.4.17.15mdk.

* Fri Feb  1 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- add -p to install to maintain timestamps.
- fix /build link to point to real source.
- rediff grsecurity patch.
- updated the xfs-quota patch.
- xfs for 2.4.17.
- andrea vm_24.
- really fix the autoconf issue with alsa.
- 2.4.17.14mdk.

* Thu Jan 31 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- disable jfs in alpha.
- make a new logo and support for splash logo (chmouel).
- remove ipfwadm fix as it is included in previous patch also.
- netfilter files missed in 2.4.18-pre7 are back in.
- now apply i810 patch & new sk card patch :(
- kernel-secure is kernel-enterprise based.
- 2.4.17.13mdk.

* Tue Jan 29 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- ext3 is a module again in up.
- s/kversion/realversion/, make greps easier.
- really include modules.* in the tarballs.
- jfs 1.0.14.
- 2.4.17.12mdk.

* Tue Jan 29 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- new i810 audio patch (chomuel).
- new sk card.
- new kdb-common patch.
- fix alsa compilation.
- fix kernel-source name (kernel-source-1-1mdk was bad :()
- 2.4.17.11mdk.

* Fri Jan 25 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- Make kernel-BOOT in the main distrib (chmou).
- Merge ide-small config-small patches with one patch depending of
  CONFIG_BOOT_KERNEL (chmou).
- Make BOOT patch conditional of CONFIG_BOOT_KERNEL (chmou).
- remove spurious Obsoletes & Requires of kernel-source.
- fix acenic unresolved symbols.
- 2.4.17.10mdk.

* Thu Jan 24 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- remove SYM/NCR53C8XX drivers as SYM53C8XX_2 should be better in all circunstances.
- remove part of the new netfilter modules, as the code is not there.
- removed dependency of devfsd, we don't really need it.
- ipvs-0.9.7 (from rh).
  at the same time removed the _two_ ipvs that we had.
- 2.4.18-pre7.
- reddiff xfs-kernel patch.
- andrea vm_23.
- make sane names for kernel-source & kernel-doc*.
- remove devfs v199.8 patch, included upstream.
- buffer-fix patch included upstream.
- 2.4.18-pre6.
- change gcc30 name to gcc-%%(gcc3-version).
- 2.4.17.9mdk


* Tue Jan 22 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- update devfs to v199.8, at the end we got an official devfs that works.
- build secure kernel only for x86.
- ppc update from stew.
- new drm for XFree 4.2.0.
- remove depmod from %post.
- enable options in secure kernel.
   CONFIG_GRKERNSEC_CHROOT_PTRACE
   CONFIG_GRKERNSEC_CHROOT_MKNOD
   CONFIG_GRKERNSEC_CHROOT_CHDIR
   CONFIG_GRKERNSEC_CHROOT_DOUBLE
- i830 drm patch.
- reddiff grsecurity.
- kdb 2.1.
- 2.4.17.8mdk

* Sat Jan 19 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- put 830mp support for suspend/resume.
- update all configs.
- drop radeon fb update in pre4.
- drop cs8241 update in pre4.
- rediff usbvision patch.
- rediff 3c90x patch.
- rediff ide update patch.
- remove agpgart_830mp fix (P231) included upstream.
- remove nfs-attr patch (P230), included upstream.
- 2.4.18-pre4.
- add support for compiling for: kgcc, gcc-2.96, gcc-3.0 & gcc-3.1.
- 2.4.17.7mdk

* Wed Jan 16 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- fix cipe DOS(642).
- i586-{up,BOOT} .config to use APIC in uniprocessors.
- agpgart i830mp support patch for i830 (Erwan, P231).
- new nfs-fattr patch (P230).
- reversed devfs patch.
- reddiff xfs-kernel patch.
- jfs 1.0.12.
- tryed devfs 199.7, still problems with no /dev/root.
- 2.4.17.6mdk

* Mon Jan 14 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1-1mdk
- Add secure kernel.
- 2.4.17.5mdk.

* Mon Jan 14 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1-1mdk
- Really fix that quota mess up (xfs guilty).
- 2.4.17.4mdk.

* Mon Jan 14 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1-1mdk
- New quota patch which this should work and recompile.
- 2.4.17.3mdk.

* Mon Jan  7 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- re-add loop-AES (v1.5b).
- remove international patch.
- 2.4.17.2mdk.

* Fri Jan  4 2002 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- Devfs don't create /dev/root anymore (P1007).
- rediff supermount patch.
- updated international cryto patch to 2.4.17.
- remove reverting devfs patches.
- 2.4.17.
- 2.4.17.1mdk.

* Wed Dec 19 2001 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- remove no_persistence from devfs.
- remove devfs update.
- added quota from ac kernel, and fix xfs to use it.
- remove all alsa patches (acepted upstream, P822, P823, P824, P825).
- alsa 0.5.12a.
- nfs fixes.
- 2.4.17-rc1.
- 2.4.16-11mdk.

* Sat Dec 15 2001 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- add hidden ip patch (P432).
- rediff new_stat.
- new xfs patch for 2.4.16.
- Removed brokenmptable patch (P200).
- Add fix for compilation of sis driver on alpha (P1303) from rh.
- get no_ps2 patch (P224) form caldera, this one makes sense.
- add dependency on e2fsprogs to reflect Documentatation/Changes.
- remove last vestiges or sparc suport (S14).
- 2.4.16-10mdk.

* Thu Dec 13 2001 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- remove the devfs patch from pre8 (as usual it non boot).
- update .configs.
- reddiff xfs (P720).
- reddiff br2684 (P639).
- remove aacraid P622(better patch from Alan Cox integrated upstream).
- rediff scsimon patch (P619).
- reddiff kdb patch (P614).
- remove vlan patch (P432) integrated upstream.
- rediff xircomp-cb patch (P423).
- 2.4.17-pre8.
- SPEC name is again kernel-2.4.spec.
- 2.4.16-9mdk.

* Wed Dec 12 2001 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- correct find arguments (-name instead of name).
- update mediactl patch.
- Remove hpt3xx update (integrated upstream) P430.
- update config-ide-small patch.
- update ide driver (12102001) (P427).
- new configs for alpha & ppc without CRYPTO stuff.
- new %build_source flag, to be able to do indeed less things in one 
  single compilation.
- updated ppc-confis (stew).
- 2.4.16-8mdk.

* Mon Dec 10 2001 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- fix (again) /usr/src/linux link mess :(.
- add loop-jari patch to make crypto-patch work.
- remove *.append files only needed for kbuild-2.5.
- updated loop-AES to international crypto-patch (includes first one).
- provides & obsoletes kernel-source.
- 2.4.16-7mdk

* Sat Dec  8 2001 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- new vlan patch (1.6).
- new newnat & h323 code (P620 & P621) (decided to wait this one, lot
  of incompatible changes.
- added i686 configs for Jeff.
- fix name of the /usr/src/linux-2.4.16-6mdk
- 2.4.16-6mdk.

* Fri Dec  7 2001 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- fix the naming of the kernel to kernel-2.4.16-5mdk, this time in kenobi copy instead of local copy :(
- 2.4.16-5mdk.

* Wed Dec  5 2001 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- jfs-1.0.10.
- kernel spec file is called again kernel.spec.
- new i810 patch (chmou).
- KVERREL is real kernel version, not mdkversion.
- kdb 2.4.16.
- 2.4.16.4mdk.

* Tue Dec  4 2001 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- fix name of the kernel SRPM.
- fix /usr/src/linux symlink.
- update ide-floppy for devfs support (remove P1003, add P100[56]).
- add links for pcmcia modules to modules/pcmcia (chmou).
- fix generation of kernel-headers (chmou).
- 2.4.16.3mdk.

* Mon Dec  3 2001 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- loop-AES 1.4h.
- really fix DC395x driver compilation.

* Fri Nov 30 2001 Juan Quintela <quintela@mandrakesoft.com> 1-1mdk
- compile again DC395x driver.
- fix mdksuffix big problems.  Why suffix is a reserverd word for rpm
  macros and where it is documunted it is still a mystery to me.
- From 2.4.13-12mdk
  * qla1280 v3.23.10 (P606).
  * update syskconnect driver to support dual-port (P426).
  * move install-kernel -R from postun to preun (chomuel & Borsenkow
    Andrej <Andrej.Borsenkow@mow.siemens.ru>)
  * remove all the other vestiges of kernel-headers.
  * Remove Kernel-Headers package moved to glibc package (chmou).
  * Add new rules build_kheaders to build tarball and patch for glibc
    package (chmou).
  * updated i586-BOOT config (chmouel).
  * updated all ppc configs to have pcmcia support (stew).
  * Remove redundant BuildRequires (Stefan van der Eijk <stefan@eijk.nu>).
  * new fb810 code P640 (chmouel).
  * small fix in pcmcia support (chmouel).
- update hpt3xx driver Tim Hockin <thockin@sun.com> (P428).
- lm_sensors-2.4.16.
- i2c 2.4.16.
- fix intermezo compilation (P429).
- remove P1301, included upstream.
- new new_stat, mediactl & supermount patches.
- 2.4.16.

* Fri Nov 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.15-1mdk
- 2.4.15 final.

* Fri Nov 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.14-1mdk
- remove devfs-v196 patch (P1005) integrated upstream.
- rediff ipvs patch.
- P801 integrated upstream.
- xfs 1.0.2 in.
- rediff jfs shared patch.
- Removed syncookies fix (P636) integrated upstream.
- split config-small patch in config-small & config-ide-small.
- added new ide patch 11062001 (P427).
- new kdb patch.
- Remove P602 patch (integrated upstream).
- Remove P208 blkioctl, it is only needed for ia64, and our kernel
  still don't work in ia64.
- Remove P202 TIOCDEV. it was a half merge, and nobody uses it.
- Remove P201 pge (not needed).
- Remove P415 (more sb ids) integrated upstream.
- Remove P414 (parport & pnp) not needed in linus tree.
- Remove P413 (blk io queue) as elevator is different in linus tree.
- Remove P405 (it is not needed).
- Remove parport backport (P402) as it is not needed in linus kernels.
- Move wacom update (P226) from core to update (P426).
- remove quota fix (P227) it is not applieble to linus kernels.
- parts of sard patch was in scsi reset patch, put things in its place.
- 2.4.15-pre6.

* Tue Nov 20 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.13-9mdk
- Update .configs.
- fix compilation for boot kernel (chmou).
- add fb for i810 P640 (chmou).

* Sat Nov 17 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.13-8mdk
- s/$RPM_SOURCE_DIR/%_sourcedir/.
- fix xconfig problems with mtok driver.
- fix problem for compilation in the kernel of 3rdparty modules
  (Duclos Andre <shirka@wanadoo.fr).
- add BuildRequires: trasnfig (Duclos Andre <shirka@wanadoo.fr).
- Remove P211 (especial install-kernel) is it is not needed.

* Wed Nov 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.13-7mdk
- remove current patch (P2).
- added madge token ring drivers (S106).
- remove atm fix (P406).
- new devfs patch (P1005).
- jfs-1.0.9.
- deselect SUNGEM for ppc (stew request).
- redo all configs.
- updated dc395x_trm driver to 1.33.
- loop-AES.

* Thu Nov  8 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.13-6mdk
- activate supermount in enterprise kernel (I feel coraugeus today).
- added br2684 support (P639).
- removed spurious link line for smp %postun.
- fix all the compilation warnings in alsa (P822, P823, P824).
- remove P820 (alsa-compile-fix) as it is not needed anymore.
- alsa 0.5.12.

* Thu Nov  8 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.13-5mdk
- update configs.
- add conflict with old iptables.
- make kernel-doc-{html,ps,pdf} with the contents of the kernel books.
- rediff xfs patch (720).
- rediff kdb patch (614).
- part of patch P410 (ethtool was included upstream).
- ac8.

* Wed Nov  7 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.13-4mdk
- update alpha configs 
- add URL tag
- surround KDB option disable with %%ifarch %%ix86

* Tue Nov  6 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.13-3mdk
- added tulip patch (P424).
- fixed problem of nested %if for some rpms.
- updated all the configs.
- Remove P623 (integrated upstream) lba48.
- Remove P424 (applied upstream) appletalk fix.
- Rediff config-small (P212).
- Rediff blkioctl (P208).
- new ipatbles patches, we are:
	* compatible with vanilla kernels
	* h323 support 
	* talk support
- new iptables patch, including h323 & talk and dropping dropped
  table, we are supposed to be compatible with vanilla kernel again.
- ac6.

* Tue Oct 30 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.13-2mdk
- and then rework the .config to fix all the problem with ATALK.
- fix appletalk mess (P424).
- install config file also as .cnofig to evict problems with autoconf patch.
- Remove P203 (RUNTIM_FXSR don't exist anymore in the kernel).
- ac5.
- Redo P201, it was supposed to patch 686 not PIII.
- ac4.

* Sat Oct 27 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.13-1mdk
- updated all the configs.
- rediff devfs_dynamic (P1002).
- rediff xfs patch.
- update kdb (P614).
- ac3 (I have had no time to finish the patches creation :()
- ac2.
- 2.4.13.
- fix rpmlint errors in permissions.

* Sat Oct 27 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.12-6mdk
- wacom driver (flepied) (P226).
- added fix to symcookies (P636).
- remove comented patch626 (that don't exist anymore).

* Wed Oct 24 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.12-5mdk
- build enterprise for anything except alpha.
- this time I included the ppc&alpha smp/up confis in the SRPM.
- updated ppc configs, now they also use enterprise kernels (stew & me).
- fix lba48 for non ppc archs (P624) stew.
- add riva fb for ppc (P1300) stew.
- ac6.
- s/Linux Mandrake/Mandrake Linux/.

* Tue Oct 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.12-4mdk
- make -up & -smp config files until I found a better way to work with that.
- rebuilt all the .configs.
- supermount upgrade:
	* options passed to subfs should work when you change the cd
	* bug: cd /mnt/cdrom/any_dir; ls -l; switch cd; ls <BUG> should have gone.
	* That means that there is no more supremount bugs that I have heard of.
	* supermount with no fs type, or fs type of auto does what you expect:
		try iso9660, then vfat, then ext2.

- P702 included upstream (jfs fix crashes).
- jfs 1.0.8.
- rediff xfs patch (P720).
- rediff lba48 patch (P624).
- ide-cd integrated upstream (P403).
- rediff blkioctl patch (P208).
- ac5.

* Tue Oct 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.12-3mdk
- 2.4.12-ac3 (Rem: samsung-anycam-mpc-c10, ext3-update).

* Tue Oct 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.12-2mdk
- Fix provides kernel of sub kernel's.

* Mon Oct 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.12-1mdk
- 2.4.12-ac2.
 (Rem: scsi_scan, firewire patches, devfs upgrade patches, Adapt: lba48).

* Fri Oct 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.5-6mdk
- 2.4.10-ac12 (Rem: emu10k1 patches).
- Remove jfs-fixes, not needed anymore (P702).
- Fix important crashes with JFS (P702).
- Fix provides of kernel for smp.
- Fix build of lba48 with latest ac (P624).
- Upgrade ext3 to 0.9.12 (P428).
- Disable anxet_cs module (P626).

* Wed Oct 10 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.10-5mdk
- JFS-1.0.7 (P700, P701, P702).
- Add natsemi_old driver (P635).
- Add iscsi update (P601).
- Remove bcm5700 from 3rdparty and make it as patches and upgrade it
  btw (P627, P628, P629, P630, P631, P632).
- Upgrade bcm5820 driver (P616, P617).
- Upgrade xircom_cb to latest (P428).
- Add wvlan_cs pcmcia driver (P624).
- Add axnet_cs pcmcia driver (P623).
- Add avm_cs pcmcia driver (P627).
- Ad qla2100 driver (P604).
- Upgrade qla1280 driver (P605).
- Bring devfs to v195 (P1000, P1001).
- Update usb-uhci to latest of 2.4.11 (P622, Rem: 402, 411).
- Fix some rpmlint's.
- Reordering patches section.
- Fix conflicts of with kernel-pcmcia-cs.

* Mon Oct  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.10-4mdk
- 2.4.10-ac10 (Rem: P622, Up: P720, P1022 ). 
- Add support for samsung-anycam-mpc-c10 (P512).
- Fix compilation of e100 with latest kernel (P1203).
- Add fix for ide-floppy devfs patch (Andrej) (P1003).
- Add lba48 ide support (P622).
- devfs-v193 (P1001).
- Remove kernel from boot loader in %post when AUTOREMOVE=yes in
  /etc/sysconfig/installkernel is set.
- Disable PNP_BIOS, set ramdisk default size to 32000 enable IDE_CS.
- Fix changelog (2.4.8-2[56]mdk was gone).
- Conflicts with kernel-pcmcia-cs (need pcmcia-cs).

* Mon Oct  8 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.10-3mdk
- Fix OptionEnable to not work also in prefixes.
- don't removke -temp tree on clean.
- Split lm_sensors in its own package, we only need the drivers (P623).
- from i2c we only need the patch, we got it (P622).

* Thu Oct  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.10-2mdk
- 2.4.10-ac3 (Remove: P428).
- Remove pcmcia from here and move to the kernel pcmcia support.
- Add some BuildRequires: (stefan).
- Make some files as %dir in sources packages for upgrade.
- Fix i2c/lm_sensors build.

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.10-1mdk
- 2.4.10-ac3. (Remove 97 Patches | Add/Adapt/Rename 35 patches ).
- Big rework of patch sections.
- i2c/kdb/xfs/jfs latest.

* Sun Sep 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.8-26mdk
- new supermount patch, this time fixes the oops.
- stat fixes.

* Sat Sep 22 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.8-25mdk
- new supermount patch.

* Mon Sep 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-24mdk
- JFS-1.0.5 (P4005, P4006).
- Register usb core after hid (P4531) (P.Vojtech)
- Rework XFS patch for new supermount fixes (P4600) (juan).
- supermount fixes (a lot of them, this time should work). (P306). (juan)
- updated overflow patch to cope with previous patch (P501). (juan)
- added new stat patch from al viro (P305). (juan)
- this time right 8139too_cb driver (P166). (juan)
- introduced a build_kdb macro. (juan)
- now we use build_kgcc in all the places. (juan)

* Wed Sep 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-23mdk
- Remove sd many option from devfs patch it broke usb-storage (P4502).
- Add bunch of irda fixes (P4550, P4551, P4552, P4552, P4553, P4555,
  P4556, P4557).
- Radeon fixes (P4530) (S.Tweedie).
- PWC usb driver upgrade to 8.2 (P4529).
- Add support for dynamic disks with devfs (P4503) (K.Flemming).
- Pcmcia-Cs-3.1.29 (S1) (Remove: P163).
- NTFS 1.1.19 fixes (P4528).
- Upgrade to latest version of mod_quickcam driver (S102).
- Cleanup spec file of unnused patches.
- rename realtek_cb to 8139too_cb to evict confusions (P166) (juan).
- supermount upgrade (P305) (juan)

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-22mdk
- Fix process reporting crashing sigbus when is sigsev (P4526).
- Fix reparent children in nfsd (P4525) (N.Brown).
- Register the lowlevel ieee1394 driver to the subsystem. (P4524).
- Parse mainboard resources inline to pnp not as pci_device
  objects. (G.Knorr) (P4523).
- New update to latest firewire with number of fixes (P4515).
- Parse /proc/fs/nfs/exports like does /proc/mounts (which allow
  mountpoint with space) (P4522) (N.Brown).
- CONFIG_BLK_DEV_OFFBOARD=y in all .config (civileme).
- lm-sensors 2.6.1 (S9) (Remove: P101).
- Apply official xircom-pgsdb9 patch (P421).
- Fix mmap in emu10k1 driver (P504).
- Remove bits from i810_audio upgrade to make it works with artsd (P4506).
- MCE address reporting fix (P4521) (D.Jones)

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-21mdk
- Add XFS support (P4600, P4601) (R.Cattelan).
- Fix ntfs symbol errors (P4520).

* Thu Sep  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-20mdk
- Apply emu10k1-passthough patch for SMP (P503).
- NTFS upgrade to 1.1.18 (P4520).
- Irda-usb fixes (Adam J Richter) (P4519).
- Axnet pcmcia card fix (P163) (Stefan.Siegle).
- Upgrade updfstab pcmcia patch to call updfstab only when present
  (P160).
- Upgrade ipvs to 0.9.3 (P4008).
- Fix xircom patch (P162) (gc) 
- gdth update to lastest driver (P4517) (juan)
- realtek_cb cardbus driver (P166). (juan).
- Added sam9407 soundcards support (S105) (juan).
- Tulip downgrade to stable drivers (P4518) (juan).
- remove unused kgcc uses. (juan)

* Tue Sep  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-19mdk
- Correct Dell cable detection (A.Cox) (P4516).
- Add another 1885 ident in ac97_codec (A.Cox) (P4506).
- Remove unneeded modules from BOOT kernel (S26).
- Add xircom pcmcia ethernet card (GC) (P162).
- Really add /sbin/cardmgr for kernel-BOOT.

* Mon Sep  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-18mdk
- Added uptodate ext3 code from the ext3 abort-handle-branch
  to handle taking the filesystem offline/readonly on fatal error
  cleanly. (S.Tweedie) (P4019).
- Fix oops in NFS code (A.van de Ven) (P4016).
- Created 'noathlon' DMI blacklist entry for MSI MS-6330 motherboards
  (P4013).
- Fix NFS_STALE handling (T.Myklebust) (P4021).
- NFS reclaim patch that fix nfs going on zombie (H.J Lu) (P4028).
- Improve reiserfs block allocator when free space is low (Namesys)
  (P4035)
- Adds missing call to pathrelse() to error path (Namesys) (P4036).
- Upgrade i810_audio driver to latest 2.4.9-ac6 (P4506).
- Upgrade to latest firewire fixes from cvs. (P4515).
- Emu10k1 driver upgrade to get the ac3/midi sound update (P4007).

* Mon Sep  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-17mdk
- Add support for ide-floppy with devfs (P4510).
- BINFMT Fixes from jakub@redhat.com (P4511).
- fix i386 SMP interrupts that can corrupt registers from
  john.l.byrne@compaq.com (P4512).
- Se401 USB driver update (P4513).
- Rework (P4507) with Se401 update.
- Fix pcilynx pcmcia module with latest firewire (P165).
- Fix scsi removable disk (eg: USB scsi DSC-S30 camera) (P4514).

* Sun Sep  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-16mdk
- Upgrade to 2.4.9-ac4 i810_audio driver (P4505).
- Upgrade to 2.4.9-ac4 ac97_codec (P4506).
- Upgrade to latest USB fixes (kaweth/pegasus/se401/visor/usb-uhci)
  from 2.4.9-ac5 (P4507).
- Upgrade to latest usb-storage (P4508).
- Upgrade to devfs-v191 (P4501).
- Remove HP8200 CDWRITER driver patch (P25).
- Fix eUSB-SmartMedia device (P4509).

* Sat Sep  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-15mdk
- fix for kpnpbios <defunct> (P3017) (juan).
- Wacom updates (P3018) (flepied).
- Remove speedtouch, ppptoatm patches (P521, P518, P519) Rediff (P520)
  (damien).
- JFS-1.0.4 (P4005, P4006).
- Don't use kgcc anymore.

* Fri Aug 31 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.14-14mdk
- used kgcc for compilation.
- changed position of check for kgcc & boot

* Fri Aug 31 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.8-13mdk
- kernel-source don't require egcs anymore :)
- added kdb dir to the source rpm.
- fix pcilynx compilation (P165).
- remove parpot fix(P4020) merged upstream.
- rediff jfs-shared patch (P4005).
- removed kdb patch merdeg upstream (P3009).
- removed massstorage id75 (P522), merged upstream.
- supermount is back (and this time works ro, wait for more news).
- rediff multipath (P40).
- rediff speedtouch (P519).
- sony-clie merged upstream (P420).
- kdb patch to make it compile (P3016).
- updated kdb.
- 2.4.8-ac12.

* Thu Aug 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-12mdk
- Upgrade to latest devfs (P4500, P4501).
- added perl script for 80 drm building (giuseppe).

* Wed Aug 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-11mdk
- 2.4.8-ac9.

* Tue Aug 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-10mdk
- new version of the psaux fixes (from COL) (P4034).

* Tue Aug 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-9mdk
- Upgrade QLA1280 driver (P17) (remove P23 and adapt P348).
- JFS-1.0.3 (P4005, P4006).

* Tue Aug 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-8mdk
- 2.4.8-ac8.
- Remove (P487).
- Adapt (518).
- Fix Pcmcia Filelist (giuseppe).

* Mon Aug 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-7mdk
- Remove : iport-ethernet patch merged in upstream. (P165).
- Add /etc/pcmcia/cis to the files list of pcmcia.
- Build and ship lspnp utils in pcmcia package.
- RH-Patches:
- Make ext3 log in syslog (P4019).
- Add fixes for parport (P4020).
- Make the maximum init env bigger (P4022).
- Force MPTABLE parsing on defective Intel bioses (P4023).
- Fix elevator hang (P4024).
- Be more strict about the pdcraid signature (P4025).
- Allow VFAT exports over NFS (neilb) (P4026).
- Make the scsi timeout longer (P4027).
- Add ethtool for acenic and eepro (TODO: others mdk/net drivers)
  (P4029).
- Make the kernel shut up when there is no PSAUX keyboard (think usb) (P4030).
- Cramfs fixes (P4031).
- make oom killer less trigger happy (P4032).
- Patch the triplelock (P4033).

* Mon Aug 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-6mdk
- 2.4.8-ac7.
- Adapt (P1001).
- Remove (P4016).
- Add MassWorks ID-75 USB Driver (P522).
- Sym53c8xx fixes from sun (P486).
- USBcore fixes from zaitcev@redhat.com (P487).
- Add USB Sony clie support (P420).
- Upgrade Vlan to 1.4 (P1006).
- Add support for Xircom PGSDB9 (P421).
- Pcmcia-3.1.28.
- Remove (P158, P162, P163).
- Add ibmtr_compilation fix (P158).
- Giuseppe changes :
- fixed kernel-2.4.8-*.config config for 8.0.
- kernel-enterprise with 4GB RAM support instead of 64GB in HIGHMEM
- BuildRequires: libgr1-devel if %%build_80.
- added %dir in %%{_modulesdir}/%%{KVERREL}/ in %%files sections.

* Tue Aug 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-5mdk
- 2.4.8-ac5.
- Copy the cardmgr for install team when kernel BOOT.
- Remove (P4013).
- Adapt (P4018).

* Tue Aug 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-4mdk
- BLK_DEV_FD=y as module it's too much buggy.
- Merge RedHat Patches.
- Compile with gcc and not kgcc if build_boot to reduce the kernel.
- Make APIC error in syslog (P4012).
- Add ATA66 for Servraid (P4013).
- Add more sound_blaster ID (P4014).
- Use PNP_BIOS for parport only if compiled as modules (P4015).
- Add support for National Semiconductor DP8382 Card (P4016).
- Add Iscsi Card support (P4017).
- Add a Config-Small patch that make the kernel less bigger in case of
  BOOT kernel (P4018).

* Tue Aug 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-3mdk
- 2.4.8-ac3.
- Remove new dpt_i2o (P4000).

* Mon Aug 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-2mdk
- 2.4.8-ac2.
- Fix ATM (P485).
- Add id for NEC Picty900 (HP OEM) (USB printer) (P508).
- Fix --with BOOT macros.

* Sun Aug 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-1mdk
- 2.4.8-ac1.
- Remove emu10k1-mixer patch (P415).
- Add speedtouch driver fixes (dams) (P521).
- Add config for pcmcia iport ethernet card (P165).

* Fri Aug 10 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-14mdk
- 2.4.7-ac11.
- Upgrade lanstreamer tokernring driver (P3004).
- Upgrade BOOT config (S26).
- supermount -i disable if we are in update mode.

* Thu Aug  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-13mdk
- 2.4.7-ac10.
- Remove drm-update patch (P3004).
- Remove i810-fixes patch (P3005).
- Remove sis-fixes patch (P3006).
- Remove drm-silence (P508).
- Build old drm for if %%build_8 is here.

* Wed Aug  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-12mdk
- 2.4.7-ac9.
- Remove ac7_is_ac8 patch (P2003).

* Tue Aug  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-11mdk
- Add VLAN support (P1006) (Oden).
- Disabled new drm when build_80 enabled (giuseppe).
- Removed BuildRequires: netpbm,libnetpbm when build_80 enabled (giuseppe).
- Fixed a typo in %preun scripts (giuseppe).

* Tue Aug  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-10mdk
- 2.4.7-ac8.
- Remove atyfb-compilation-fix (P3008).
- Adapt jfs-shared patch (P4006).
- Ac8 is ac8 not ac7 (P2003).

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-9mdk
- BuildRequires update (stefan).
- New bootlogo from LN (S18).
- Patch for ohci1394_cs for the new ohci update of latest kernel (P164).

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-8mdk
- 2.4.7-ac7.
- Add bcm5820 crypto card support from RH (P4010, P4011).
- Fix AtyFB compilation (P3008).
- Add macros %%build_80 to generate update for 8.0 kernel.
- Add macros %%build_boot to generate BOOT kernel.

* Sun Aug  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-7mdk
- 2.4.7-ac6.
- Remove jffs2 fix (P3008).
- Remove floppy-fix (P3010).
- Remove ieee1394-fix (P3011).
- Remove aha152x-fix (P3012).
- Add kernel version just before the boot logo (P490).
- Apply %patch101 before doing mkpatch of lm_sensors (thanks: Andre Duclos).
- Adjust Buildrequires (thanks: Stefan).

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-6mdk
- Fix pcmcia network script (s.siegle)(S1000).
- JFS-1.0.2 (P4005, P4006).

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-5mdk
- 2.4.7-ac5.
- Adapt multipath patch (P40).

* Fri Aug  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-4mdk
- 2.4.7-ac4.
- Upgrade boot logo from LN (S18).
- Adapt multipath patch (P40).
- Adapt 3rdparty patch (P2000)
- Remove aironet4500-fix patch (P3013)
- Fix EXPORT_SYMTAB conflicts between ipvs patch and ext3 (P3015).
- Adjust Requires.

* Thu Aug  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-3mdk
- Depend of devfsd.
- 2.4.7-ac3.
- Adapt hp8200e patch (P25).
- Adapt speedtouch patch (P519).
- Adapt usbvision patch (P520).

* Wed Aug  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-2mdk
- Disable yenta patch.
- Fix rebuild of aic7xx firmware.
- Add JFS integration.

* Tue Jul 31 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.7-1mdk
- aironet4500 compilations fixes.
- axnet_cs compile fixes.
- aha152x fix.
- lots of s/wait_for_completion/wait_completion/ in pcmcia drivers.
- s/wait_for_completion/wait_completion/ in floppy driver.
- added jffs2 fix to use completion.
- disabling reiserfs quota (hangs at boot).
- added patch for detecting yenta socket in 2.4 (from rh) (#161).
- enabled DEVFS support (but not DEVFS_MOUNT), if you want it mounted on boot, use the devfs=mount option.
- updated reiserfs quota patch and applied it again.
- removed viadma patch (#515) as we are not using it for quite some time.
- Removing last vestiges of proc-fs (#600) patch (it wasn't applied).
- made gzip of modules less verbose (yes, I normally read rpm output).
- big pcmcia spec file update (we missed a lot of files).
- added scsimon module.
- added spectrum24t pcmcia driver, but it is quite buggy :(
- bttv update (#482) integrated upstream.
- ac2.
- Added a different fix for pcmcia man pages :(
- Removed the fix for pcmcia man pages.
- kernel-2.4-string (#11) is gone (was accepted upstream).
- fix pcmcia ohci breakage.
- usual update of .configs with new kernel.
- removed a lot of cruft in the version handling of the kernel, %srcversion 
  is now are now %kversion.
- removed spurious x of pcmcia-cs-3.1.27-network script, and while at that 
  check that we have a ifcfg-file for the device before calling the if*.
- added spectrum driver.
- added scsimon patch (#1004);
- Supermount is here again (and ppc shouldn't need additional patches anymore).
- enabled CONFIG_IPSEC_DEBUG in all .config.
- #490 (firewire) integrated upstream.
- sard rediff.
- ide-floppy rediff.
- more changes in the saveheaders thing, this time should be right :(
- ac1.
- 2.4.7.
- removed patch #157 (ibmtr-fix) integrated upstream pcmcia-cs.
- pcmcia-cs 3.1.27.
- s/Copyright/License/ (as everybody else).

* Tue Jul 17 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.6-5mdk
- include asm-generic in headers package.
- more drm re-patching :-(
- usb-printer-fix (#604) applied upstream.
- ac5.

* Sat Jul 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.6-4mdk
- update all the configs.
- now 3rdparty modules should be _all_ compiling again.
- cleaning problems with gcc/kgcc in BuildPCMCIA.
- ppc sync (stew).
- patch #3003: Add support for Silicom U2E (Kaweth driver) 
  (Alain Wenmaekers <spicyalan@pandora.be>).
- patch #399 (lm_sensors stuff) is gone (not needed neither alpha nor pcc now).
- syncronize provides/requires/prereq between kernels (and define macros to 
  not lost sync anymore).
- reorganization of saveheaders code (Ural Khassanov <ural@uwc.ufanet.ru), 
  modifide by me.
- du-e100 support (Mathias).
- two less $RPM_SOURCE_DIR in the spec (still no idea how to fix the one 
  which remains.
- more pcmcia rearganization, now there is a %if %build_pcmcia by section.
- reorganise all the addons patches together indicating what package 
  they belog to.
- remove DependKernel code from install phase.

* Tue Jul 10 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.6-3mdk
- a lot of small alsa typos for getting 2.96 able to compile it.V
- create a dir macros and do all the substitutions.
	* _bootdir
	* _modulesdir
- create temp_root variable, now during build, we put everything in 
  $RPM_BUILD_DIR and later we install everything in $RPM_BUILD_ROOT
  (aka %{buildroot}.
- nice trick stolen from rh for defining what kernel compile from the 
  command line
- fix alsa to compile with gcc-2.96.
- cleaning up the uses of kgcc to be able to compile with other compilers.
- make include/linux/version.h is implicit in make dep, removing.
- dc395x_trm now is a 3rdparty module and compiled with gcc-2.96.

* Sat Jul  7 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.6-2mdk
- ac2.
- add 'if build_pcmcia' in a couple places
- do not build patch 399 on alpha, it breaks
- update alpha config
- update other configs for ac2

* Sat Jul  7 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.6-1mdk
- realmode-power-off is gone (together with the compilation option).
- Lots of rediff of patches to put here.
- Disable supermount (need a lot of work to make it work).
- Broadcom BCM5700 is a 3rdparty now.
- removed usb-quiet patch(#601). Merged upstream.
- removed netfilter-cpp patch (#503). Merged upstream.
- removed reisernfs patch (#472). Merged upstream.
- removed raid5readbypass (#454). Merged upstream.
- include include/pcmcia in source package to be able to compile in 
  kernel pcmcia. 
- new kdb patch.
- ac1.
- 2.4.6.
- quickcam is now also a 3rdparty module (and fixes from Andre Duclos).

* Wed Jun 27 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-9mdk
- SiS now have drm support.
- lot of drm testing & patchin it should work now.
- enable TMPFS (Jeff request some eons ago).
- new kdb version.
- lm_sensors 2.6.0.
- i2c 2.6.0.
- freeswan 1.91.
- ac18.
- update bttv patch to 0.7.68 (Thierry Vignaud).
- usb-audio-fix (#3002) integrated upstream.
- ac17.

* Fri Jun 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.5-8mdk
- Fix i810 drm.

* Thu Jun 21 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-7mdk
- redone the netfilter patches (you need to update iptables).
- redone the realmode patch.
- integrate autoconf patch (chmouel).
- integrate kdb.
- fix 3rdparty kernel source support.
- Upgrade dpt-i20 drivers (Viet).
- kawetch fix (chmouel).
- quickam driver update (chmouel).
- e100 update to 1.6.5 (1.6.6 is buggy) and e1000 update.  Now both are using 
  3rdparty module support.
- usb-audio fix (chmouel).
- ac15.

* Sat Jun 16 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-6mdk
- nice %setup macro invocations.
- ac14.
- fixes build on SMP (BuildAlsa) (kjx).
- remove lasts vestiges of alsa-beta.
- ppc patches (stew).
- 3rdparty jgarzik patch.

* Wed Jun 13 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-5mdk
- bandaid to get new drm to compile.
- drm update for XFree 4.1.0.
- usb printer fix.
- procfs fix patch.
- usbvision patch.
- add support to bcm5700 network card (from Dell merged from rh).
- /lib/modules/<version>/build is back (chmouel request).
- mdkuser xbis gone, now source is back to mdk (chmouel request).
- ac13.

* Mon Jun 11 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-4mdk
- disable 
- disable SUPERIO support (Jeff& Tim advice).
- renable OSB4.
- remove osb dangerous message, if Andre says it is safe, we trust on him.
- apm option real-mode-poweroff has been adopted upstream as realmode.
  Adapt the patch and print a warning if you are using the old option.
- ac12.
- redone all .configs.
- ppc updates (stew).
- make symlinks is gone (make oldconfig implies it).
- /lib/modules/<verions>/build link is gone as:
	a) it should be in the source package
	b) it doen't make sense since we compile several kernels from the 
           same source.
- now is possible to compile only one kernel (smp, up or enterprise).
- visor-palm pilot incorporated in new kernel.
- ac9.
- ac8.

* Mon Jun  4 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-3mdk
- new Cris Evan NFS patches.
- ac7.
- removed define for the update.

* Sat Jun  2 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-2mdk
- s/mkdir -p/install -d/ make SPEC file much more coherent.
- mandrake rpm build procces does the strip of binaries, we don't need to 
  do them (Andre Duclos).
- include all Andre DUCLOS patches.
- include_target, modules_target, boot_target also around.
- create kernel_dir /usr/src/linux-2.4.%{sublevel} and
         source_target %{buildroot}%{kernel_dir}  and use all over the place.
- s/$BUILD_RPM_ROOT/%{buildroot}/g.
- OSB4 disabled (it can corrupt data).
- use alsa-0.5.10b for the update, 0.5.11 for cooker.
- Big merge with ppc kernel (sorry stew for taking so long).
- Big change in Configure.help, that means 4 patches redone.
- ac6.

* Thu May 31 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-1mdk
- new daily freeswan snapshot (and several changes with that).
- ac5.
- Support for palm m5* for the visor patch.
- ide-cd fix (discussed with maintainer and will be incorporated in 
  next upstream patch).
- alsa, pcmcia and freeswan drivers don't exist anymore.
- lm_sensors: sensord patch (DUCLOS Andre <shirka@wanadoo.fr>).
- redone the SPEC file to be able to compile only smp, enterprise or up.
- including math-emu dir in source (jeff request)
- the bug was indeed in supermount (a spurious &).
- finding the bug fooling the bug sequence (I find the bug, arjan & viro did the patch). 
- wacom driver in ac2 is newer than our (removed patch).
- ac4 is out.
- less neil brown fixes.
- parport messages are out now.
- ac2.
- 2.4.5.

* Fri May 25 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.4-7mdk
- hga fix accepted upstream.
- remove usbdevfs-fix-mount-options parse (merged upstream).
- rediff wacom patch.
- rediff supermount patch.
- rediff speedtooch patch.
- ac17.
- update (again) the netfilter-addons patch as author recomendation.
- added patch for fealnx patch (bug jeff for it) (and later acepted upstream and removed).
- nobody else that me saw that version (as it didn't boot ....)

* Wed May 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.4-6mdk
- due to the lm_sensors change, redo again all the .config files.
- Macros in spec for updates(chmouel).
- Fix lm_sensors generation patch (DUCLOS Andre <shirka@wanadoo.fr>).
- update all the .config files.
- irc netfilter add-on is back (regenerated with last netfilter).
- fix alsa source packages naming (pointed by Chmouel).
	
* Tue May 22 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.4-5mdk
- 2.4.4-ac14.
- remove binfmt patch added in 4mdk, it is now in ac14.

* Tue May 22 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.4-4mdk
- bin_fmnt symbol problem (J Magallon).
- More merges of new Neil Brown patches.
- now parport messages should be right.
- serctorresync patch integrated in ac11 (#452).
- alsa-drivers 0.5.11.
- ac12.

* Mon May 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.4-3mdk
- Really fix the usbdevfs mount as user (and let the /proc don't crash).
- add libgr1-progs buildreq deps (jgarzik).

* Mon May 21 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.4-2mdk
- fix the make modules bug.
- linux-logo hga fb fix.
- ppc patches (2nd round) by stew.
- Neil Brown patches update.
	* mderror is included in ac.
- usb-uhci (patch #42) removed, better fix in ac.
- IDE_CD is compiled in the kenel again (I need to change first mkinitrd).
- We don't depend of rdev anymore as  we don't use it in the kernel rpm
  (not having that requeriment make ppc people happier).
- ac11.

* Tue May  8 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.4-1mdk
- ECN enabled & requires initscripts 5.83 for that reason.
- 2.4.4-ac9.
- removed ips patch (we had version 0.50 and alan integrated 0.78).
- created lm-ultils-devel subpacage (Oden.eriksson).
- Removed acpi (as we was not using it anyways)
- Big CleanUp of the Spec File.
- Now pcmcia-network get the right source file.
- /etc/sysconfig/pcmcia is a source file also.
- aic7xxx 6.1.13 is merged in ac9.
- merged ppc patches (some tweaking) by sbenedict.
- integrate usbvision support (patch #475).
- pcmcia-cs 2.1.26.
- integrate endian-reiserfs patch with 2.4.
- make ibmtr pcmcia driver to compile.
- enable ACENIC on alpha.
- remove psaux mouse workaround (it is working well here now).
- I don't remind all the things that I have changed.

* Mon May  7 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-27mdk
- redone the aic7xxx 6.1.13 patch completely.

* Sat May  5 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-26mdk
- fixes ./network resume eth0 (pcmcia).
- aic7xxx 6.1.13.

* Thu May  3 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-25mdk
- ide-cd returns to be a module.
- psaux driver return to wait 500 seconds.

* Mon Apr 30 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-24mdk
- Remove Neil Brown NFS patches.
- Introduce Chris Evans reiser NFS patches.
- now the parport messages are not in console by default (aka. Winbond xxxx)
  (this time I included the patch).
- psaux problem should be solved (thanks to Chmouel) for thinkpad's and the 
  old problem at the same time.
- Remove Neil Brown calltrace patch (it was ix86 only anyway, and of no use 
  for end users).
- Did the keyboard timeout handling less verbose (aka your shiny new 
  computer with keyboard & mouse USB don't give you AT keyboard warnings :)
- Undo ECN.

* Sat Apr 28 2001 Stefan van der Eijk <stefan@eijk.nu> 2.4.3-23mdk
- updated alpha .spec file --> CONFIG_ACENIC is not set.

* Wed Apr 25 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-22mdk
- ac13.

* Mon Apr 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-21mdk
- ac9^H10^H11.
- remove aic7xxx driver update (is in ac9).
- new NFSD patches from Neil Brown.
- reiserfs >4GB should work now.
- cleanup of enterprise and normal-kernels .config, now they are quite similar.
- cleanup specfile (requires libgr1-devel and no more yacc & db *)
- entreprise kernel is only for x86. Stefan van der Eijk.
- update alpha .config.
- now the parport messages are not in console by default (aka. Winbond xxxx).

* Sun Apr 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-20mdk
- Make supermount handle new FS_SINGLE type of filesystem.
- Make supermount works with rename files.
- Rework nologo patch to be active only when CONFIG_FB is set.

* Fri Apr 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-19mdk
- usbdevfs, fix mount with owner and gid.

* Fri Apr 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-18mdk
- Add ppptoe-pptoa patch for modem over ATM (matt).
- Add USB speedtouch drivers. (matt).
- Remove natsemi patch it's already fixed in an other form.
- Really apply the aic7xx upgrade.

* Thu Apr 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-17mdk
- Disable my netdebug patches since it doen't do anything.
- Disable CONFIG_APM_DISPLAY_BLANK.
- Fix compilation with rnfs nfsops when NFSD=n
- CONFIG_DEBUG_BUGVERBOSE is off.
- Merge with rh patches:
- fix an off by one error that results in memory overwrites
- Silence PS/2 code (no keyboard there if there is a USB keyboard)
- Make drm error sysloged and not printkconsoled.
- panic on oom during boot
- fix netgear fa31x boards powerstate
- Add mulipath-fixes from Ingo Molnar
- make scanning of sparselun devices work again
- advice as Dangerous the ServerWorks OSB4 chipset
- disabled dma66 for all via IDE chipsets to don't run in problems.
- Add USB message throttling
- fix printk in scsci messages

* Wed Apr 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-16mdk
- Don't do any link creation installkernel does it for us.
- Dependences of up at the last end of dependences system.

* Wed Apr 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-15mdk
- Add special enterprise kernel with 64Gb support Apic etc...
- Really make active ATM modules.

* Tue Apr 10 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-14mdk
- Redo complete dependences configuration to be able to recompile
  drivers between kernel (mainly inspired by the Red Hat work).
- Revert to -ac3 the 8139too as request by jeff.
- Don't depend on any ppm files.
- 2.4.3-ac4.
- Active ATM.
- iostat incremental no need anymore (by default in 99)

* Tue Apr 10 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.3-13mdk
- Add Ingo's ext2 corruption fix.

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-12mdk
- Upgrade to the latest cvs of firewire to get it works.

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-11mdk
- fix pcmcia again :p.
- fix kgcc call (prumph).

* Sat Apr  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-10mdk
- Add ln -sf /boot/config-version to /boot/config in %post.
- When inserting pcmcia module don't insmod module.o or module.o.gz
  just insmod module.
- Add option nologo to disable the logo display at boot.
- Launch pcmcia scrpt early before the network.

* Sat Apr  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-9mdk
- Fix logo in high resolution and leave some boot kernel message.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-8mdk
- bttv upgrade to 0.7.62.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-7mdk
- 2.4.3-ac3.
- Fix wait on psaux port (prumph).

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-6mdk
- Fix a SMP race (Ben Lahaise).
- Add MODULE_DEVICE_TABLE in some USB modules for USB detection (prumph).
- Add .config in /boot/config-version
- IPSEC-1.9.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-5mdk
- Disable NETDEBUG.
- set CONFIG_IPV6_EUI64 CONFIG_IPV6_NO_PB

* Tue Apr  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-4mdk
- Upgrade of olympus token ring card.
- Provides Alsa also for kernel-smp.
- Add new mdk boot logo (and boot logo patches).
- Don't do SMP by default.
- CONFIG_LP_CONSOLE broke printer and useless disable it.
- Disable IP_AUTOCONFIGURATION (useless and slow the boot).
- Define CONFIG_PIIX_TUNING.
- Make IDEFLOPPY into the kernel and not as modules.
- Unactive CMS_FS filesystem (too beta).
- Active CONFIG_NCPFS_PACKET_SIGNING and CONFIG_NCPFS_STRONG.

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-3mdk
- Add support for gazel hisax R753 (Mattias).
- Remove %doc README to avoid conflicts when doing rpm -i

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-2mdk
- Add logiteck quickcam usb drivers.

* Mon Apr  2 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-1mdk
- 2.4.3.
- 2.4.3-q1 (aka 2.4.3-ac1 if Juan Quintela were Alan Cox).
- Updated to aic7xxx 6.1.8.
- Hacking the numbering to have to hack "only one place".

* Sun Apr  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-25mdk
- Reiserfs Quota disabled seems to make problems with rfs.

* Sun Apr  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-24mdk
- Merge latest neil brown patches.

* Sun Apr  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-23mdk
- Upgrade alpha config files (stefen).
- kernel-ource and BuildRequires: byacc.
- Update wacom usb drivers from fredl.
- Merge Red Hat patches.
- Fix alpha includes.
- Fix qla driver.
- Upgrade ide-floppy
- Upgrade to the latest ipvs patch
- Remove timer of the qla driver
- Skip broken mp table
- HP8200 CDWRITER driver
- Fix i2o lockup
- Add IRC netfilter addon.
- Move some printk to some LEVEL of errors.
- Don't printk when	polling CDROMs for disk change
- Add scci reset support
- Up some pcmcia delay.
- Adding a fix for usb-uhci to work when SLAB is not aligned
- Add alternate airo devices drivers
- Fix atp max units.
- Add an iotcl to block sector for ia64.
- Fix ext2 info errors.
- define DK_MAX_MAJOR to 64
- Revert some bogus changes to lp-parport.
- Add multipath for raid.
- Fix pge Config.in description
- Add sard profiling patch

* Thu Mar 29 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-22mdk
- Updated to ac28

* Thu Mar 29 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-21mdk
- Updated to ac25^H6^H7.
- Removed linux-2.4.1-ac3-es1371-new-ids.patch.bz2.

* Wed Mar 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-20mdk
- Define tone control in emu10k1 mixer.
- Fixes supermount to ally ejecting -EBUSY device.


* Tue Mar 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-19mdk
- Active Bigmem by default.
- Apply/adapt quota patch for reiserfs.
- Merge Suse Patches.
- Add progress indication when decompressing ramdisk
- Fix Config files with CONFIG_X86_RUNTIME_FXSR
- Add TIOCGDEV ioctl
- Make APM_REAL_MODE_POWER_OFF as option (at boot) not at compilte
  time option.

* Sun Mar 18 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-18mdk
- Fix overwite of Alpha fix patch from 2.4.2-15mdk.

* Fri Mar 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-17mdk
- Requires last initscripts.
- Add options -r to installkernel (to clean entry) if we are in
  beginner mode in /etc/sysconfig/system.

* Fri Mar 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-16mdk
- Make lm_sensors don't depend of libs.
- Upgrade dpt-i20 drivers (Viet).

* Wed Mar 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-15mdk
- Apply a fix to filesystem corruption in VIA chipsets.

* Wed Mar 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-14mdk
- The never released version

* Tue Mar 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-13mdk
- 2.4.2-ac20.
- Add wireless-pcmcia patch from rh.
- Fix pcmcia when modules is gzipped.
- Don't be SMP by default.

* Mon Mar 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-12mdk
- Update alpha config (jeff).
- 2.4.2-ac19.
- Pcmcia-3.1.25.
- Readd ipsec.

* Sun Mar 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-11mdk
- update alpha config
- fix alpha build

* Sun Mar 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-10mdk
- Remove aicasm binary generated.
- Remove initrd.img after uninstalling package.
- 2.4.2-ac18.

* Fri Mar  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-9mdk
- Fix atyfb as modules.
- (Build)Requires: flex, db3-devel, bison for kernel-source.
- Requires: modutils last version that support gz modules.
- 2.4.2-ac16.

* Thu Mar  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-8mdk
- Gzip modules.
- Fix pcmcia and aacraid..
- Upgrade to the last aacraid (and fix it ac13 among all others scsci
  patches).
- 2.4.2-ac14.
- Don't set IO-APCI on non SMP kernel (break PIV for example).

* Mon Mar 05 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-7mdk
- Making sure that non-SMP kernels are not SMP.
- Alan Cox patch 2.4.2-ac11-fixed.
- Spec cleanup.
- .config cleanup:
- Use APIC also now on uniprocessor.
- 	use E820.

* Wed Mar 03 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-6mdk
- Merged last neil patches.

* Wed Mar 03 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-5mdk
- Alan Cox patch 2.4.2-ac10.
- SPEC cleanup.
- New megaraid patch is ac kernel.

* Wed Feb 28 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-4mdk
- Alan Cox patch 2.4.2-ac6.

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-3mdk
- Alan Cox patch 2.4.2-ac5.
- Temporarily disable usb scanner update, patch breaks.
- Update i586 and alpha configs for new ac patch.

* Mon Feb 26 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-2mdk
- Fix sublevel.

* Sun Feb 25 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-1mdk
- Linux 2.4.2 release.
- Alan Cox patch 2.4.2-ac4.
- Update x86 and alpha configs.
- Remove loop fixes, already in newest 'ac' kernel.
- Temporarily disable ide-floppy, patch breaks.
- Temporarily disable ipsec, patch breaks.

* Wed Feb 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-22mdk
- 2.4.1-ac20.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-21mdk
- Add ipsec 20001115 snapshot version (for 2.4.x kernel we need a snap).
- alsa-0.5.10b.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-20mdk
- Add fixes from Red Hat for the loop problems.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-19mdk
- Add support for COMET accton cards in tulip drivers (Jeff).
- Merge Neil-Brown nfs patches :
- Do permission checking for IRIX accessing special devices properly.
- Provide an "nfsd_operations" interface between knfsd and each filesystem.
- Add support for knfsd in reiserfs.
- isofs support for nfsd_operations.
- knfsd support for ufs.
- nfsd support for efs.
- Change raid resync code to work in sectors, not blocks.
- Make sure all raid5 IO requests are properly aligned.
- Modify the wdelay handling.
- Bypass stripe cache for reads.
- Disable the reboot notifier.
- Provide call trace in /proc/X/status.
- Use sector number of b_blocknr is raid1 bufferes.
- Return slightly more meaningful geometry for raid arrays.
- Change args of md_error to be mddev_t instead of kdev_t.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-18mdk
- 2.4.1-ac19.

* Sun Feb 18 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.1-17mdk
- 2.4.1-ac18
- updated alpha .config

* Sat Feb 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-16mdk
- 2.4.1-ac17.
- requires egcs and egcs-cpp to build the kernel source (due to
  problems with gcc-2.96).

* Fri Feb 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-15mdk
- 2.4.1-ac15.

* Thu Feb 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-14mdk
- 2.4.1-ac13.

* Wed Feb 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.1-13mdk
- Removes ksymoops from the kernel package
- Comment wvlan patch as we are not using kernel pcmcia
- Fix modutils version check

* Tue Feb 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-12mdk
- 2.4.1-ac12.

* Tue Feb 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-11mdk
- 2.4.1-ac11.

* Tue Feb 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-10mdk
- 2.4.1-ac10.
- Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	* added TechWell TW98 i2c driver support, patch 504.

* Sat Feb 10 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.1-9mdk
- 2.4.1-ac8
- add patch for lm_sensors prob with perm.h (alpha)

* Fri Feb  9 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.1-8mdk
- 2.4.1-ac7
- moved patch 362 into the pcmcia section

* Thu Feb  8 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.1-7mdk
- update alpha config

* Wed Feb  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-6mdk
- 2.4.1-ac6.

* Wed Feb  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-5mdk
- make oldconfig && make dep before shipping kernel-source.
- Upgrade loop patch from jens axboe.
- Add alternatives Lucen Wavelan wireless support.
- Fix bad udelay with wavelan.
- Add aacraid drivers.
- Raid force to use SSE xor block to be able to write around L2.
- Fix assertion of kiobuf to map to user.
- Fix IRDA assertion.
- Add e810 Acpi proc information (not activated by default since we
  don't use ACPI).
- Add e1000 drivers.
- Upgrade e100 drivers.
- Desactive Devfs.
- Add 3c90x drivers.
- 2.4.1-ac4.
- pcmcia-3.1.24.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-4mdk
- Upgrade qlogic drivers to 2.19.15.
- Upgrade swap limit to 32.
- Upgrade megaraid drivers.
- Add intel100 network drivers.
- Upgrade ips.
- Upgrade idetape.
- Add new ids for es1371 cards.
- Add dpt_i2o support.
- Add dc395 update.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-3mdk
- 2.4.1-ac3.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-2mdk
- fix the version field.

* Mon Feb 05 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-1mdk.
- 2.4.1-ac2.

* Sun Jan 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-12mdk
- Add loop fixes from jens axboe.
- Add patch from rh (emu10k1 fixes, overflow check, noghighmemdebug,
  netfilter cpp fixes).

* Sat Jan 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-11mdk
- Update alpha config

* Sat Jan 27 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-10mdk
- 2.4.0-ac12.

* Thu Jan 25 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-9mdk
- Make pcmcia config files as noreplace.
- Upgrade ide-floppy for ac11 (author).
- Really apply LVM fixes.

* Wed Jan 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-8mdk
- LVM proc fixes from andrea

* Wed Jan 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-7mdk
- Alsa-0.5.10b.
- Remove reiserfs-utils.
- 2.4.0-ac11.

* Tue Jan 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-6mdk
- Add upgrade of ide-floppy drivers.
- Add rivatv lm_sensors support (oden).
- Add lm_sensors package in the source (and generate the patch from
  package) (oden)
- really integrating ksymoops-2.4.0 (oden.eriksson@kvikkjokk.net).
- Upgrade usb scanner.
- Remove all modules.*
- Add NFSv3 Patches.

* Mon Jan 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-5mdk
- Upgrade smctr from ac series to get the bad_udelay symbol fixed.
- Supermount upgrade.

* Fri Jan 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-4mdk
- Reorganise spec files.
- ksymoops-2.4.0.

* Fri Jan 12 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-3mdk
- Update alpha config

* Tue Jan  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-2mdk
- Pcmcia-3.1.23.
- Alsa-0.5.10a.

* Tue Jan 09 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-1mdk
- 2.4.0
- Reiserf 3.6.25

* Wed Dec 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.15mdk
- Don't be SMP by default (jeff don't do titi-ries :p).
- Reiserfs-3.6.23.
- Reactive Reiserfs since i got it worked with supermount.

* Thu Dec 14 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-0.14mdk
- update .configs for i586 and alpha

* Tue Dec 12 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-0.13mdk
- 2.4.0-test12-final
- build on alpha
- 2.4.x does not require dev86

* Sat Dec  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.12mdk
- Add patches to fix initrd from aviro/linus.

* Fri Dec  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.11mdk
- Add support for Alpha from Jeff Garzik <jgarzik@mandrakesoft.com>
  and Stefan.

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.10mdk
- Make installkernel doing a -a when doing make install of sources.
- Disable pcilynx until get it fixed.
- alsa-0.5.10.

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.9mdk
- test12-pre7.

* Wed Dec  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.8mdk
- test12-pre6.
- Upgraded description.
- Disable reiserfs until get updated writepage patch (fix supermount
  BTW: but it's an another problem).

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.7mdk
- Add reiserfs (&bigmem unset).
- test12-pre5.

* Mon Dec  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.6mdk
- Really add pcmcia includes.
- Remove /home/chmou references.
- test12-pre3.
- Add supermount.
- Really remove devfsd depends.

* Sun Nov 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.5mdk
- Regenerates lm_sensors patches from cvs (112200).
- Include include/pcmcia in the source (thnks: C.Gennerat).
- remove devfsd dependences.

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.4mdk
- BuildRequires: egcs if enabling kgcc.
- Don't copy all configs file from RPM_SOURCES_DIR to configs/ copy
  one and the generated one.
- set CONFIG_BLK_DEV_OFFBOARD.
- unset CONFIG_INET_ECN.
- Don't update acpi (doen't build at the moment).
- test11(final).

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.3mdk
- copy the default mandrake config to defconfig before shipping.
- Remove patch200 (include with ksymoops2.3.5.)
- ksmoops 2.3.5.
- Last acpi.

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.2mdk
- mrproper the source before shipping.
- fix depmod.
- don't strip the vmlinuz.

* Tue Nov 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.1mdk
- First version to move on kernel-2.4.0 based on hackkernel. (aka: god
  pray for all of us).
